--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SRVADDRSTATE','WORKORDER','ALNDOMAIN','domainid = ''PLUSPSTATEPROVINCE'' and value = :pluspstateprovince','Relationship to the alndomain table, used to find out name of state',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SRVADDRCOUNTRY','WORKORDER','ALNDOMAIN','domainid = ''PLUSPCOUNTRYCODES'' and value = :pluspcountry','Relationship to the alndomain table, used to find out name of country',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SRVADDRTIMEZONE','WORKORDER','SYNONYMDOMAIN','domainid = ''TIMEZONE'' and value = :plusptimezone','Relationship to the synonymdomain table, used to find out name of timezone',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 12, SAMEASOBJECT = 'PLUSPAGREEMENT', SAMEASATTRIBUTE = 'REVISIONNUM', MUSTBE = 0
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPREVNUM'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 12, SAMEASOBJECT = 'PLUSPAGREEMENT', SAMEASATTRIBUTE = 'REVISIONNUM', MUSTBE = 0
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPREVNUM'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOStAddrDirPrfx'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTADDRDIRPRFX'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOStAddrDirPrfx'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTADDRDIRPRFX'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOStAddrDirSfx'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTADDRDIRSFX'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOStAddrDirSfx'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTADDRDIRSFX'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOLoc'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'LOCATION'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOLoc'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'LOCATION'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldResponsePlan'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPRESPONSEPLAN'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldResponsePlan'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPRESPONSEPLAN'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Costs and Prices', ESIGENABLED = 0
      WHERE APP = 'PLUSPWO'
            AND OPTIONNAME = 'VIEWCOSTPR'
;

UPDATE MAXMENU
      SET POSITION = 110, SUBPOSITION = 60
      WHERE MODULEAPP = 'PLUSPWO'
            AND KEYVALUE = 'VIEWCOSTPR'
            AND MENUTYPE = 'APPMENU'
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusp.app.escalation.PlusPEscalationSet'
      WHERE OBJECTNAME = 'ESCALATION'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusp.app.escalation.PlusPEscalationSet'
      WHERE OBJECTNAME = 'ESCALATION'
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusp.app.plusporg.PlusPOrganizationSet'
      WHERE OBJECTNAME = 'ORGANIZATION'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusp.app.plusporg.PlusPOrganizationSet'
      WHERE OBJECTNAME = 'ORGANIZATION'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPSO'
            AND OPTIONNAME = 'AM400'
;

UPDATE MAXMENU
      SET POSITION = 160, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSPSO'
            AND KEYVALUE = 'AM400'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPSO'
            AND OPTIONNAME = 'MANAGELIB'
;

UPDATE MAXMENU
      SET POSITION = 160, SUBPOSITION = 10
      WHERE MODULEAPP = 'PLUSPSO'
            AND KEYVALUE = 'MANAGELIB'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPSO'
            AND OPTIONNAME = 'MANAGEFOLD'
;

UPDATE MAXMENU
      SET POSITION = 160, SUBPOSITION = 20
      WHERE MODULEAPP = 'PLUSPSO'
            AND KEYVALUE = 'MANAGEFOLD'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPSO'
            AND OPTIONNAME = 'ASSOCFOLD'
;

UPDATE MAXMENU
      SET POSITION = 160, SUBPOSITION = 30
      WHERE MODULEAPP = 'PLUSPSO'
            AND KEYVALUE = 'ASSOCFOLD'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPSO'
            AND OPTIONNAME = 'DUPLICATE'
;

UPDATE MAXMENU
      SET POSITION = 200, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSPSO'
            AND KEYVALUE = 'DUPLICATE'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPSO'
            AND OPTIONNAME = 'DELETE'
;

UPDATE MAXMENU
      SET POSITION = 250, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSPSO'
            AND KEYVALUE = 'DELETE'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPSO'
            AND OPTIONNAME = 'RUNREPORTS'
;

UPDATE MAXMENU
      SET POSITION = 400, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSPSO'
            AND KEYVALUE = 'RUNREPORTS'
            AND MENUTYPE = 'APPMENU'
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSPSO','BOOKMARK','Add to Bookmarks',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

--*[300108]Translation Ratio: 100% (34/34 statements were translated successfully)
