--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPBILL',40,0,'OPTION','LINESTATUS',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'commoditygroup=:commoditygroup', CHILD = 'PLUSPAPPLSERV'
      WHERE NAME = 'COMMSLAGRP'
;

UPDATE MAXRELATIONSHIP
      SET CHILD = 'PLUSPAPPLSERV'
      WHERE NAME = 'COMMSLA'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'APPROVED'
;

DELETE FROM SYNONYMDOMAIN
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'BILLED'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'DISPUTE'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'HOLD'
;

DELETE FROM SYNONYMDOMAIN
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'NOTBILLED'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'RESOLVED'
;

DELETE FROM SYNONYMDOMAIN
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'REVIEW'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPBILLLINEST'
            AND VALUE = 'WAPPR'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Change Status', ESIGENABLED = 0
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'STATUS'
;

UPDATE MAXMENU
      SET POSITION = 10, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSPBILL'
            AND KEYVALUE = 'STATUS'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'BOOKMARK'
;

UPDATE MAXMENU
      SET POSITION = 500, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSPBILL'
            AND KEYVALUE = 'BOOKMARK'
            AND MENUTYPE = 'APPMENU'
;

UPDATE MAXMENU
      SET TABDISPLAY = 'MAIN'
      WHERE MODULEAPP = 'PLUSPBILL'
            AND KEYVALUE = 'BOOKMARK'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'LINESUMM'
;

UPDATE MAXMENU
      SET POSITION = 25, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSPBILL'
            AND KEYVALUE = 'LINESUMM'
            AND MENUTYPE = 'APPMENU'
;

DELETE FROM SIGOPTION
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'STATUSHIST'
;

DELETE FROM MAXMENU
      WHERE MODULEAPP = 'PLUSPBILL'
            AND KEYVALUE = 'STATUSHIST'
;

DELETE FROM APPLICATIONAUTH
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'STATUSHIST'
;

DELETE FROM SIGOPTION
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'LINESTATUS'
;

DELETE FROM MAXMENU
      WHERE MODULEAPP = 'PLUSPBILL'
            AND KEYVALUE = 'LINESTATUS'
;

DELETE FROM APPLICATIONAUTH
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'LINESTATUS'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPBILL',15,0,'SEP','AM15',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPBILL',200,0,'SEP','AM200',NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPBILL',450,0,'SEP','AM450',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPBILL',1000,0,'SEP','AM1000',NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPTOOL','PLUSPBILL',18,0,'SEP','AT18',NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPTOOL','PLUSPBILL',28,0,'SEP','AT28',NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusp.app.assetcatalog.PlusPClassStructureSet'
      WHERE OBJECTNAME = 'CLASSSTRUCTURE'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusp.app.assetcatalog.PlusPClassStructureSet'
      WHERE OBJECTNAME = 'CLASSSTRUCTURE'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPSALESORDER','CLASSSTRUCTURE','PLUSPSALESORDER','classstructureid=:classstructureid','Relationship to the sales order table, used to find the pluspsalesorder records for a given classstructure. (classstructure.classstructureid = pluspsalesorder.classstructureid). The resulting set will contain zero or more objects.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSPCUST','EDITLOG','Edit / Delete Customer Log',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

--*[300108]Translation Ratio: 100% (37/37 statements were translated successfully)
