--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Customer', TITLE = 'Customer', CLASSNAME = 'psdi.plusp.app.pluspcust.PlusPFldCustPlusPCustomerInactive'
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSPCUSTOMER'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Customer', TITLE = 'Customer', CLASSNAME = 'psdi.plusp.app.pluspcust.PlusPFldCustPlusPCustomerInactive'
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSPCUSTOMER'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldTicketAgreement'
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSPAGREEMENT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldTicketAgreement'
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSPAGREEMENT'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPCUSTOMER','TICKET','PLUSPCUSTOMER','customer = :pluspcustomer','Relationship from TICKET to PLUSPCUSTOMER',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAGREEMENT','TICKET','PLUSPAGREEMENT','agreement = :pluspagreement','Relationship from TICKET to PLUSPAGREEMENT',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPPRICESCHED','TICKET','PLUSPPRICESCHED','agreement = :pluspagreement and sanum = :plusppricesched','Relationship from TICKET to PLUSPPRICESCHED',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SRVADDRSTATE','TICKET','ALNDOMAIN','domainid = ''PLUSPSTATEPROVINCE'' and value = :pluspstateprovince','Relationship to the alndomain table, used to find out name of state',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SRVADDRCOUNTRY','TICKET','ALNDOMAIN','domainid = ''PLUSPCOUNTRYCODES'' and value = :pluspcountry','Relationship to the alndomain table, used to find out name of country',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SRVADDRTIMEZONE','TICKET','SYNONYMDOMAIN','domainid = ''TIMEZONE'' and value = :plusptimezone','Relationship to the synonymdomain table, used to find out name of timezone',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPSHOWACTUALFEECHARGE','TICKET','PLUSPGBTRANS','type in (select value from SYNONYMDOMAIN where domainid = ''PLUSPGBTRANSTYPE'' and maxvalue = ''ACTUAL'') and ticketid = :ticketid and ticketclass=:class','Relationship to PLUSPGBTRANS Set',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPWOTOTALS','TICKET','PLUSPWOTOTALS',NULL,'Relationship to the PlusPWOTotals non-persistent MBO',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPWOGRTOTALS','TICKET','PLUSPWOGRTOTALS',NULL,'Relationship to the PlusPWOGRTotals non-persistent MBO',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPLINESTHIST','TICKET','PLUSPLINESTHIST','orgid = :orgid and billbatchnum in (select billbatchnum from pluspbillline where ticketid = :ticketid and ticketclass = :class and orgid = :orgid) and linenum in (select linenum from pluspbillline where ticketid = :ticketid and ticketclass = :class and orgid = :orgid and billbatchnum = plusplinesthist.billbatchnum)','Relationship to find all bill lines history for a ticket',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSPINC','APPLYPS','Apply Customer Agreement',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

--*[300108]Translation Ratio: 100% (15/15 statements were translated successfully)
