--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,PREREQUISITE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSPBILL','STATUSHIST','View Bill Batch Status History',0,1,NULL,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'commoditygroup=:commodity'
      WHERE NAME = 'COMMSLAGRP'
            AND PARENT = 'COMMODITIES'
            AND CHILD = 'PLUSPAPPLSERV'
;

UPDATE MAXATTRIBUTE
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'RATEHASCHANGED'
;

UPDATE MAXATTRIBUTECFG
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'RATEHASCHANGED'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWpLaborDisplayRate'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'DISPLAYRATE'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWpLaborDisplayRate'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'DISPLAYRATE'
;

DELETE FROM SYNONYMDOMAIN
      WHERE DOMAINID = 'SLACOMMITMENTSUOM'
            AND MAXVALUE = 'DAYS'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldTotalBillPR'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPTOTALBILLPR'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldTotalBillPR'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPTOTALBILLPR'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldGRTotalBillPR'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPGRTOTALBILLPR'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldGRTotalBillPR'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPGRTOTALBILLPR'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SHOWACTUALLABOR','TICKET','LABTRANS','ticketid=:ticketid and ticketclass=:class','Relationship to the LABTRANS table, used to find a Labor from Ticket without Activities',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborSkillLevel'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'SKILLLEVEL'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborSkillLevel'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'SKILLLEVEL'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborCraft'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'CRAFT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborCraft'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'CRAFT'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborDisplayRate'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'DISPLAYRATE'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborDisplayRate'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'DISPLAYRATE'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborVendor'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'VENDOR'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborVendor'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'VENDOR'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborContract'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'CONTRACTNUM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWPLaborContract'
      WHERE OBJECTNAME = 'WPLABOR'
            AND ATTRIBUTENAME = 'CONTRACTNUM'
;

--*[300108]Translation Ratio: 100% (22/22 statements were translated successfully)


/** Fixes for SAME-AS for priceschedule fields**/ 

update maxattribute set sameasattribute='PRICESCHEDULE',sameasobject='PLUSPPRICES' 
where objectname in ('WORKORDER','TICKET','TOOLTRANS','LABTRANS','MATUSETRANS','SERVRECTRANS')
and attributename = 'PLUSPPRICESCHED'
;

update maxattributecfg set sameasattribute='PRICESCHEDULE',sameasobject='PLUSPPRICES' 
where objectname in ('WORKORDER','TICKET','TOOLTRANS','LABTRANS','MATUSETRANS','SERVRECTRANS')
and attributename = 'PLUSPPRICESCHED'
;

