--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXVIEWCOLUMN (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,MAXVIEWCOLUMNID) VALUES ('SLA','ROWSTAMP',NULL,'PLUSPSERVAGREE','ROWSTAMP',NEXTVAL FOR MAXVIEWCOLUMNSEQ)
;

INSERT INTO MAXVIEWCOLUMNCFG (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,CHANGED,MAXVIEWCOLUMNID) VALUES ('SLA','ROWSTAMP',NULL,'PLUSPSERVAGREE','ROWSTAMP','N',NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLSERV','SLA','PLUSPAPPLSERV','ownertable=''SLA'' and ownerid = :sanum','Relationship to the PLUSPAPPLSERV  used in SLA',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLCOND','SLA','PLUSPAPPLCOND','ownertable=''SLA'' and ownerid = :sanum','Relationship to the PLUSPAPPLCOND  used in SLA',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLLOC','SLA','PLUSPAPPLLOC','ownertable=''SLA'' and ownerid = :sanum','Relationship to the PLUSPAPPLLOC  used in SLA',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SLALOCANCESTOR','SLA','LOCANCESTOR',':sanum in (select aploc.ownerid from PLUSPAPPLLOC aploc where aploc.ownertable = ''SLA'' and aploc.includechildren = :yes and aploc.siteid = siteid)','Relationship to get LocAncestor for a SLA',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('SLAASSET','SLA','ASSET',':sanum in (select apas.ownerid from PLUSPAPPLASSET apas where apas.ownertable = ''SLA'' and apas.includechildren = :yes and apas.assetnum = asset.assetnum)','Relationship for Advanced Search of SLA where AssetNum is equal to Asset.Parent and PLUSPAPPLASSET.IncludeChildren is true',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLASSET','SLA','PLUSPAPPLASSET','ownertable=''SLA'' and ownerid = :sanum','Relationship to the PLUSPAPPLASSET  used in SLA',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ADMINISTRATOR','SLA','PERSON','personid = :administrator','Relationship to the PERSON used in SLA',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPCUSTSLA','SLA','PLUSPCUSTSLA','slanum = :sanum','Relationship for CustSLA user by SLA',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'parentslanum = :sanum'
      WHERE PARENT = 'SLA'
            AND NAME = 'RELATEDSLACHILD'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'childslanum = :sanum'
      WHERE PARENT = 'SLA'
            AND NAME = 'RELATEDSLAPARENT'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum and location is not null'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLAASSETLOCLOCATION'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum and assetnum is not null'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLAASSETLOCASSET'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLARECORDS'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLACOMMITMENTS'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum and assettype is not null'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLAASSETLOCTYPE'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'sanum 
;= :sanum and sanum not in (select childslanum from relatedsla where parentslanum = :sanum) and sanum not in (select parentslanum from relatedsla where childslanum = :sanum)'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLALIST'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLAASSETLOC'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum and (assetnum  is not null or location is not null)'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLAASSETLOCASSETLOC'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum'
      WHERE PARENT = 'SLA'
            AND NAME = 'CONTRACTRECORDS'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'slanum = :sanum'
      WHERE PARENT = 'SLA'
            AND NAME = 'SLAKPI'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'ownertable = ''SLA'' and ownerid = :pluspservagreeid'
      WHERE PARENT = 'SLA'
            AND NAME = 'DOCLINKS'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLASSET','PLUSPPRICESCHED','PLUSPAPPLASSET','ownertable=''PLUSPPRICESCHED'' and ownerid = :sanum','Relationship to the PLUSPAPPLASSET used in PS',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLCOND','PLUSPPRICESCHED','PLUSPAPPLCOND','ownertable=''PLUSPPRICESCHED'' and ownerid = :sanum','Relationship to the PLUSPAPPLCOND used in PS',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLLOC','PLUSPPRICESCHED','PLUSPAPPLLOC','ownertable=''PLUSPPRICESCHED'' and ownerid = :sanum','Relationship to the PLUSPAPPLLOC used in PS',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLSERV','PLUSPPRICESCHED','PLUSPAPPLSERV','ownertable=''PLUSPPRICESCHED'' and ownerid = :sanum','Relationship to the PLUSPAPPLSERV used in PS',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('CLASSSTRUCTURE','PLUSPPRICESCHED','CLASSSTRUCTURE','classstructureid = :classstructureid','Relationship to the classstructure table, used to find a class',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('EXPBUILDER','PLUSPPRICESCHED','EXPBUILDER','1=1','PLUSPPRICESCHED to EXPBUILDER relation',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAGREEMENT','PLUSPPRICESCHED','PLUSPAGREEMENT','agreement = :agreement and revisionnum = :revisionnum and orgid = :orgid','Relationship from price schedules table to agreements',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAGREEMENT_REVISION','PLUSPPRICESCHED','PLUSPAGREEMENT','orgid = :orgid and agreement = :agreement and revisionnum = :revisionnum','Relationship to get Description of Revision',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPCRAFTMU','PLUSPPRICESCHED','PLUSPPSCRAFTMU','sanum =:sanum','PriceSched -> CraftMU',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPCRAFTPRIC','PLUSPPRICESCHED','PLUSPPSCRAFTPRIC','sanum =:sanum','PriceSched -> CraftPric',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPMATMU','PLUSPPRICESCHED','PLUSPPSMATMU','sanum =:sanum','PriceSched -> MatMU',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPPRICSCHEDUMMY','PLUSPPRICESCHED','PLUSPPRICSCHEDUMMY','sanum =:sanum','Relationship for status change',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPPSASSETMGT','PLUSPPRICESCHED','PLUSPPSASSETMGT','sanum =:sanum','PriceSched -> AssetMgt',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPPSASSETPERF','PLUSPPRICESCHED','PLUSPPSASSETPERF','sanum =:sanum','PriceSched -> AssetPerf',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPPSASSETUSE','PLUSPPRICESCHED','PLUSPPSASSETUSE','sanum =:sanum','PriceSched -> AssetUse',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPSERVMU','PLUSPPRICESCHED','PLUSPPSSERVMU','sanum =:sanum','PriceSched -> ServMU',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPTOOLSMU','PLUSPPRICESCHED','PLUSPPSTOOLSMU','sanum =:sanum','PriceSched -> ToolsMU',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

--*[300108]Translation Ratio: 100% (40/40 statements were translated successfully)
