--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'MAXVARINPUT','PLUSPSTREETADDRDET',NULL,NULL,'PLUSPSTREETADDRDET',NULL,990,'ALN',254,0,1,0,NULL,NULL,1,0,'MAXVAR that allows the user to require the use of the structured format for Street addresses',NULL,'Service Address Street Address updates MUST use Detail dialog',NULL,0,0,NULL,'psdi.plusp.app.system.virtual.PlusPFldMaxVarServiceAddressStreetAddress',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'MAXVARINPUT','PLUSPSTREETADDRDET',NULL,NULL,'PLUSPSTREETADDRDET',NULL,990,'ALN',254,0,1,0,NULL,NULL,1,0,'MAXVAR that allows the user to require the use of the structured format for Street addresses',NULL,'Service Address Street Address updates MUST use Detail dialog',NULL,0,0,NULL,'psdi.plusp.app.system.virtual.PlusPFldMaxVarServiceAddressStreetAddress',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('MAXVARINPUT_SERVICE','ORGANIZATION','MAXVARINPUT','orgid = :orgid','Relationship to the MaxVarInput table, used to get an instance of the non-persistent MBO of MaxVarInput for the organization. (maxvarinput.orgid =  organization.orgid). This relationship will find zero or more objects',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',10,0,'HEADER','SM10','Advanced Search',NULL,1,'atb_search.gif',NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',10,10,'OPTION','SEARCHMORE',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',10,20,'OPTION','SEARCHWHER',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',10,30,'OPTION','SEARCHTIPS',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',20,0,'HEADER','SM20','Save Query',NULL,1,'atb_save.gif',NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',20,10,'OPTION','SEARCHSQRY',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',20,20,'OPTION','SEARCHVMQR',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSPRESP',30,0,'OPTION','SEARCHBOOK',NULL,NULL,1,'atb_bookmark.gif',NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('REPORTADMIN','PLUSPRESP','SEARCHBOOK',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('MAXADMIN','PLUSPRESP','SEARCHBOOK',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('SYSADMIN','PLUSPRESP','SEARCHBOOK',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('REPORTADMIN','PLUSPRESP','SEARCHMORE',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('MAXADMIN','PLUSPRESP','SEARCHMORE',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('SYSADMIN','PLUSPRESP','SEARCHMORE',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('REPORTADMIN','PLUSPRESP','SEARCHSQRY',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('MAXADMIN','PLUSPRESP','SEARCHSQRY',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('SYSADMIN','PLUSPRESP','SEARCHSQRY',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('REPORTADMIN','PLUSPRESP','SEARCHTIPS',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('MAXADMIN','PLUSPRESP','SEARCHTIPS',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('SYSADMIN','PLUSPRESP','SEARCHTIPS',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('REPORTADMIN','PLUSPRESP','SEARCHVMQR',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('MAXADMIN','PLUSPRESP','SEARCHVMQR',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('SYSADMIN','PLUSPRESP','SEARCHVMQR',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('REPORTADMIN','PLUSPRESP','SEARCHWHER',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('MAXADMIN','PLUSPRESP','SEARCHWHER',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('SYSADMIN','PLUSPRESP','SEARCHWHER',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,LANGCODE,SIGOPTIONID,HASLD) VALUES ('PLUSPRESP','SEARCHBOOK','Bookmarks',0,1,NULL,NULL,NULL,'EN',NEXTVAL FOR SIGOPTIONSEQ,0)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,LANGCODE,SIGOPTIONID,HASLD) VALUES ('PLUSPRESP','SEARCHMORE','More Search Fields',0,1,NULL,NULL,NULL,'EN',NEXTVAL FOR SIGOPTIONSEQ,0)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,LANGCODE,SIGOPTIONID,HASLD) VALUES ('PLUSPRESP','SEARCHSQRY','Save Current Query',0,1,NULL,NULL,NULL,'EN',NEXTVAL FOR SIGOPTIONSEQ,0)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,LANGCODE,SIGOPTIONID,HASLD) VALUES ('PLUSPRESP','SEARCHTIPS','View Search Tips',0,1,NULL,NULL,NULL,'EN',NEXTVAL FOR SIGOPTIONSEQ,0)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,LANGCODE,SIGOPTIONID,HASLD) VALUES ('PLUSPRESP','SEARCHVMQR','View/Manage Queries',0,1,NULL,NULL,NULL,'EN',NEXTVAL FOR SIGOPTIONSEQ,0)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,LANGCODE,SIGOPTIONID,HASLD) VALUES ('PLUSPRESP','SEARCHWHER','Where Clause',0,1,NULL,NULL,NULL,'EN',NEXTVAL FOR SIGOPTIONSEQ,0)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('COMMODITIES','WORKORDER','COMMODITIES','commodity = :commodity and siteid=:siteid','Relationship to Commodities used in TICKET',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('COMMODITIES','TICKET','COMMODITIES','commodity = :commodity','Relationship to Commodities used in WO',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>89','PLUSPSTREETDIRECT','NW','NW','Northwest',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>90','PLUSPSTREETDIRECT','W','W','West',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>91','PLUSPSTREETDIRECT','SW','SW','Southwest',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>92','PLUSPSTREETDIRECT','S','S','South',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>93','PLUSPSTREETDIRECT','SE','SE','Southeast',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>94','PLUSPSTREETDIRECT','E','E','East',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>95','PLUSPSTREETDIRECT','NE','NE','Northeast',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSPORG'
            AND OPTIONNAME = 'SERVICE'
;


INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>96','PLUSPSTREETTYPE','ST','Street',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO MAXSERVICE (initorder,active,internal,SERVICENAME,DESCRIPTION,CLASSNAME,MAXSERVICEID) VALUES ( 1020,1,0,'PLUSPSERVAGREE','Service Agreement Base Service','psdi.plusp.app.pluspserviceagree.PlusPServiceAgreementService',NEXTVAL FOR MAXSERVICESEQ)
;

CREATE SEQUENCE PLUSPSERVAGREEseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPSERVAGREE','PLUSPSERVAGREEID',0,'PLUSPSERVAGREESEQ')
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPRPRECORDS','TICKET','PLUSPRPRECORDS','ownertable = ''TICKET'' and ownerid = :ticketuid','Relationship to the PLUSPRPRECORDS used by TICKET',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPRPRECORDS','WORKORDER','PLUSPRPRECORDS','ownertable = ''WORKORDER'' and ownerid = :workorderid','Relationship to the PLUSPRPRECORDS used by WORDORDER',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

CREATE SEQUENCE PLUSPRPRECORDSseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPRPRECORDS','PLUSPRPRECORDSID',0,'PLUSPRPRECORDSSEQ')
;

--*[300108]Translation Ratio: 96.67% (58/60 statements were translated successfully)
