/**Fix search type**/

update maxattribute set searchtype = 'EXACT',classname='psdi.plusp.app.plusprespplan.PlusPFldJobPlanID' where attributename = 'APPLYJOBPLANID' and (objectname = 'SLA' or objectname like 'PLUSP%')
;
update maxattributecfg set searchtype = 'EXACT',classname='psdi.plusp.app.plusprespplan.PlusPFldJobPlanID' where attributename = 'APPLYJOBPLANID' and (objectname = 'SLA' or objectname like 'PLUSP%')
;
update maxrelationship set whereclause = 'jobplanid = :applyjobplanid' where name = 'APPLYJOBPLAN' and parent ='PLUSPRESPPLAN'
;

/**Correct SLA metadata**/

update maxobject set  mainobject=1 where objectname='SLA'
;
update maxobjectcfg set  mainobject=1 where objectname='SLA'
;

/**07-17646**/

update maxattribute set ATTRIBUTENO = 35 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'AGREEMENT'
;
update maxattributecfg set ATTRIBUTENO = 35 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'AGREEMENT'
;
update maxattribute set ATTRIBUTENO = 3 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'CUSTOMER'
;
update maxattributecfg set ATTRIBUTENO = 3 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'CUSTOMER'
;
update maxattribute set ATTRIBUTENO = 19 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'BILLENDDATE'
;
update maxattributecfg set ATTRIBUTENO = 19 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'BILLENDDATE'
;
update maxattribute set ATTRIBUTENO = 7 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'AGREEMENT'
;
update maxattributecfg set ATTRIBUTENO = 7 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'AGREEMENT'
;
update maxattribute set ATTRIBUTENO = 21 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'TOTALTAX'
;
update maxattributecfg set ATTRIBUTENO = 21 where OBJECTNAME = 'PLUSPBILLBATCH' and ATTRIBUTENAME = 'TOTALTAX'
;

/**07-17902**/
update maxattribute set classname = 'psdi.plusp.app.pluspcust.PlusPFldCustomerLanguageCode' where objectname = 'PLUSPCUSTOMER' and attributename = 'LANGUAGECODE'
;
update maxattributecfg set classname = 'psdi.plusp.app.pluspcust.PlusPFldCustomerLanguageCode' where objectname = 'PLUSPCUSTOMER' and attributename = 'LANGUAGECODE'
;

/**07-17994**/
update maxvars set varvalue = 'NODETAIL' where varname = 'PLUSPSTREETADDRDET'
;

