/**07-20187, 07-20179**/

update pluspagreement 
set pretaxtotal = (select coalesce(sum(billedprice),0) from pluspbillline s where 
exists (select 1 from pluspbillbatch a where s.billbatchnum = a.billbatchnum and s.orgid = a.orgid and pluspagreement.orgid = a.orgid and a.agreement = pluspagreement.agreement 
and a.status in (select value from synonymdomain where domainid = 'PLUSPBILLBATCHST' and maxvalue = 'BILLED')) 
and s.revnum <= pluspagreement.revisionnum and s.status in (select value from synonymdomain where domainid = 'PLUSPBILLLINEST' and maxvalue in ('APPROVED','RESOLVED')))
;

update pluspagreement 
set revpretaxtotal = (select coalesce(sum(billedprice),0) from pluspbillline s where 
exists (select 1 from pluspbillbatch a where s.billbatchnum = a.billbatchnum and s.orgid = a.orgid and pluspagreement.orgid = a.orgid and a.agreement = pluspagreement.agreement 
and a.status in (select value from synonymdomain where domainid = 'PLUSPBILLBATCHST' and maxvalue = 'BILLED')) 
and s.revnum = pluspagreement.revisionnum and s.status in (select value from synonymdomain where domainid = 'PLUSPBILLLINEST' and maxvalue in ('APPROVED','RESOLVED')))
;

update pluspagreement
set totaltax = (select coalesce(sum(totaltranstax),0) from pluspbillline s where 
exists (select 1 from pluspbillbatch a where s.billbatchnum = a.billbatchnum and s.orgid = a.orgid and pluspagreement.orgid = a.orgid and a.agreement = pluspagreement.agreement 
and a.status in (select value from synonymdomain where domainid = 'PLUSPBILLBATCHST' and maxvalue = 'BILLED'))
and s.revnum <= pluspagreement.revisionnum and s.status in (select value from synonymdomain where domainid = 'PLUSPBILLLINEST' and maxvalue in ('APPROVED','RESOLVED')))
;

update pluspagreement
set totalbilled = (select coalesce(sum(coalesce(totaltranstax,0)+coalesce(billedprice,0)),0) from pluspbillline s where 
exists (select 1 from pluspbillbatch a where s.billbatchnum = a.billbatchnum and s.orgid = a.orgid and pluspagreement.orgid = a.orgid and a.agreement = pluspagreement.agreement 
and a.status in (select value from synonymdomain where domainid = 'PLUSPBILLBATCHST' and maxvalue = 'BILLED'))
and s.revnum <= pluspagreement.revisionnum and s.status in (select value from synonymdomain where domainid = 'PLUSPBILLLINEST' and maxvalue in ('APPROVED','RESOLVED')))
;

update pluspprices
set totalbilled = (select coalesce(sum(coalesce(totaltranstax,0)+coalesce(billedprice,0)),0) from pluspbillline s where 
exists (select 1 from pluspbillbatch a where s.billbatchnum = a.billbatchnum and s.orgid = a.orgid and pluspprices.orgid = a.orgid and a.agreement = pluspprices.agreement 
and a.status in (select value from synonymdomain where domainid = 'PLUSPBILLBATCHST' and maxvalue = 'BILLED'))
and s.revnum = pluspprices.revisionnum and pluspprices.priceschedule = s.pricesched and s.status in (select value from synonymdomain where domainid = 'PLUSPBILLLINEST' and maxvalue in ('APPROVED','RESOLVED')))
;

update pluspprices
set pretaxtotal = (select coalesce(sum(billedprice),0) from pluspbillline s where 
exists (select 1 from pluspbillbatch a where s.billbatchnum = a.billbatchnum and s.orgid = a.orgid and pluspprices.orgid = a.orgid and a.agreement = pluspprices.agreement 
and a.status in (select value from synonymdomain where domainid = 'PLUSPBILLBATCHST' and maxvalue = 'BILLED')) 
and s.revnum = pluspprices.revisionnum and pluspprices.priceschedule = s.pricesched and s.status in (select value from synonymdomain where domainid = 'PLUSPBILLLINEST' and maxvalue in ('APPROVED','RESOLVED')))
;

update pluspprices
set totaltax = (select coalesce(sum(totaltranstax),0) from pluspbillline s where 
exists (select 1 from pluspbillbatch a where s.billbatchnum = a.billbatchnum and s.orgid = a.orgid and pluspprices.orgid = a.orgid and a.agreement = pluspprices.agreement 
and a.status in (select value from synonymdomain where domainid = 'PLUSPBILLBATCHST' and maxvalue = 'BILLED'))
and s.revnum = pluspprices.revisionnum and pluspprices.priceschedule = s.pricesched and s.status in (select value from synonymdomain where domainid = 'PLUSPBILLLINEST' and maxvalue in ('APPROVED','RESOLVED')))
;


update maxattribute
 set classname = 'psdi.plusp.app.pluspcustagree.PlusPFldPreTaxTotal'
 where objectname = 'PLUSPPRICESCHED' and
 attributename in ('PRETAXTOTAL','TOTALTAX')
;
 
 update maxattributecfg
 set classname = 'psdi.plusp.app.pluspcustagree.PlusPFldPreTaxTotal'
 where objectname = 'PLUSPPRICESCHED' and
 attributename in ('PRETAXTOTAL','TOTALTAX')
;


/** 07-20104 **/
UPDATE maxattributecfg SET defaultvalue='0' WHERE defaultvalue='0.0' and objectname='PLUSPPRICES'
;

UPDATE maxattribute SET defaultvalue='0' WHERE defaultvalue='0.0' and objectname='PLUSPPRICES'
;


UPDATE maxattributecfg SET defaultvalue='0' WHERE defaultvalue='0.0' and objectname='PLUSPPRICESCHED'
;

UPDATE maxattribute SET defaultvalue='0' WHERE defaultvalue='0.0' and objectname='PLUSPPRICESCHED'
;
