/**07-20170**/

update maxattribute
 set title = 'Total Billed - This Revision'
 where objectname = 'PLUSPPRICESCHED' and
 attributename = 'TOTALBILLED'
;
 
 update maxattributecfg
 set title = 'Total Billed - This Revision'
 where objectname = 'PLUSPPRICESCHED' and
 attributename = 'TOTALBILLED'
;

/**07-17659**/

update maxobject
set siteorgtype = 'ORG'
where objectname = 'PLUSPAGREEMENT'
;

update maxobjectcfg
set siteorgtype = 'ORG'
where objectname = 'PLUSPAGREEMENT'
;

update maxobject
set servicename = 'PLUSPAGREE'
where objectname = 'PLUSPAGREESTATUS'
;

update maxobjectcfg
set servicename = 'PLUSPAGREE'
where objectname = 'PLUSPAGREESTATUS'
;

update maxobject
set siteorgtype = 'SYSTEM'
where objectname = 'PLUSPAPPLASSET'
;

update maxobjectcfg
set siteorgtype = 'SYSTEM'
where objectname = 'PLUSPAPPLASSET'
;

update maxobject
set siteorgtype = 'SYSTEM'
where objectname = 'PLUSPAPPLLOC'
;

update maxobjectcfg
set siteorgtype = 'SYSTEM'
where objectname = 'PLUSPAPPLLOC'
;

update maxobject
set servicename = 'PLUSPCUST'
where objectname in ('PLUSPCUSTOMERLOG', 'PLUSPCUSTRP', 'PLUSPCUSTSLA')
;

update maxobjectcfg
set servicename = 'PLUSPCUST'
where objectname in ('PLUSPCUSTOMERLOG', 'PLUSPCUSTRP', 'PLUSPCUSTSLA')
;

update maxobject
set servicename = 'PLUSPSERVAGREE'
where objectname in ('PLUSPRPCHGSTATUS', 'PLUSPRPRECORDS', 'PLUSPRPSTATUSDUMMY')
;

update maxobjectcfg
set servicename = 'PLUSPSERVAGREE'
where objectname in ('PLUSPRPCHGSTATUS', 'PLUSPRPRECORDS', 'PLUSPRPSTATUSDUMMY')
;

update maxobject
set servicename = 'PLUSPSERVAGREE'
where objectname in ('PLUSPPRICSCHEDUMMY', 'PLUSPRESPDUP')
;

update maxobjectcfg
set servicename = 'PLUSPSERVAGREE'
where objectname in ('PLUSPPRICSCHEDUMMY', 'PLUSPRESPDUP')
;

update maxobject
set siteorgtype = 'SITE'
where objectname in ('PLUSPSOSTATUS', 'PLUSPWPGENBILL')
;

update maxobjectcfg
set siteorgtype = 'SITE'
where objectname in ('PLUSPSOSTATUS', 'PLUSPWPGENBILL')
;

update maxobject 
set servicename = 'PLUSPBILL' 
where objectname in ('PLUSPBILLPRICE', 'PLUSPPREBILLO', 'PLUSPBILLLINE', 'PLUSPBATCHSTHIST', 'PLUSPBATCHSTATUS')
;

update maxobjectcfg
set servicename = 'PLUSPBILL' 
where objectname in ('PLUSPBILLPRICE', 'PLUSPPREBILLO', 'PLUSPBILLLINE', 'PLUSPBATCHSTHIST', 'PLUSPBATCHSTATUS')
;
update maxattribute set defaultvalue=null  where objectname='PLUSPCUSTOMER' and attributename='STATUS' 
;
update maxattributecfg set defaultvalue=null  where objectname='PLUSPCUSTOMER' and attributename='STATUS' 
;

/** Issue 07-19933**/
UPDATE maxattribute SET domainid=null WHERE domainid='PLUSPGBCALC'
;
UPDATE maxattributecfg SET domainid=null WHERE domainid='PLUSPGBCALC'
;

/** Issue 07-21279 **/


insert into synonymdomain (valueid,domainid,maxvalue,value,description,defaults,synonymdomainid) values
    ( '<HCTDOMAIN>1042','APPACTION','PLUSPAPPLRP','APPLYRP','Apply Response Plan',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

insert into synonymdomain (valueid,domainid,maxvalue,value,description,defaults,synonymdomainid) values
    ( '<HCTDOMAIN>1043','APPACTION','PLUSPAPPAGREE','APPLYPS','Apply Customer agreement',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPWOAPPRESPLGR','PLUSPWOAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPWOAPPRESPL', 'Work Order Apply Response Plan Action','WORKORDER', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPWOAPPRESPLGR','Work Order Apply Response Plan Action Group','WORKORDER','GROUP','EN',' ','ALL',0)
;

insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPACTAPPRESPLGR','PLUSPACTAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPACTAPPRESPL', 'Activity Apply Response Plan Action','WOACTIVITY', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPACTAPPRESPLGR','Activity Apply Response Plan Action Group','WOACTIVITY','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPCHGAPPRESPLGR','PLUSPCHGAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPCHGAPPRESPL', 'Change Apply Response Plan Action','WOCHANGE', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPCHGAPPRESPLGR','Change Apply Response Plan Action Group','WOCHANGE','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPINCAPPRESPLGR','PLUSPINCAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPINCAPPRESPL', 'Incident Apply Response Plan Action','INCIDENT', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPINCAPPRESPLGR','Incident Apply Response Plan Action Group','INCIDENT','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPPROAPPRESPLGR','PLUSPPROAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPPROAPPRESPL', 'Problem Apply Response Plan Action','PROBLEM', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPPROAPPRESPLGR','Problem Apply Response Plan Action Group','PROBLEM','GROUP','EN',' ','ALL',0)
;



insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPRLSAPPRESPLGR','PLUSPRLSAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPRLSAPPRESPL', 'Release Apply Response Plan Action','WORELEASE', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPRLSAPPRESPLGR','Release Apply Response Plan Action Group','WORELEASE','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPSRAPPRESPLGR','PLUSPSRAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPSRAPPRESPL', 'Service Request Apply Response Plan Action','SR', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPSRAPPRESPLGR','Service Request Apply Response Plan Action Group','SR','GROUP','EN',' ','ALL',0)
;

insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPSOAPPRESPLGR','PLUSPSOAPPRESPL',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPSOAPPRESPL', 'Sales Order Apply Response Plan Action','PLUSPSALESORDER', 'APPACTION', 'APPLYRP','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPSOAPPRESPLGR','Sales Order Apply Response Plan Action Group','PLUSPSALESORDER','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPWOAPPAGREEGR','PLUSPWOAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPWOAPPAGREE', 'Work Order Apply Customer Agreement Action','WORKORDER', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPWOAPPAGREEGR','Work Order Apply Customer Agreement Action Group','WORKORDER','GROUP','EN',' ','ALL',0)
;

insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPACTAPPAGREEGR','PLUSPACTAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPACTAPPAGREE', 'Activity Apply Customer Agreement Action','WOACTIVITY', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPACTAPPAGREEGR','Activity Apply Customer Agreement Action Group','WOACTIVITY','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPCHGAPPAGREEGR','PLUSPCHGAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPCHGAPPAGREE', 'Change Apply Customer Agreement Action','WOCHANGE', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPCHGAPPAGREEGR','Change Apply Customer Agreement Action Group','WOCHANGE','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPINCAPPAGREEGR','PLUSPINCAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPINCAPPAGREE', 'Incident Apply Customer Agreement Action','INCIDENT', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPINCAPPAGREEGR','Incident Apply Customer Agreement Action Group','INCIDENT','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPPROAPPAGREEGR','PLUSPPROAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPPROAPPAGREE', 'Problem Apply Customer Agreement Action','PROBLEM', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPPROAPPAGREEGR','Problem Apply Customer Agreement Action Group','PROBLEM','GROUP','EN',' ','ALL',0)
;



insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPRLSAPPAGREEGR','PLUSPRLSAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPRLSAPPAGREE', 'Release Apply Customer Agreement Action','WORELEASE', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPRLSAPPAGREEGR','Release Apply Customer Agreement Action Group','WORELEASE','GROUP','EN',' ','ALL',0)
;


insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPSRAPPAGREEGR','PLUSPSRAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPSRAPPAGREE', 'Service Request Apply Customer Agreement Action','SR', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPSRAPPAGREEGR','Service Request Apply Customer Agreement Action Group','SR','GROUP','EN',' ','ALL',0)
;

insert into actiongroup (actiongroupid,action,member,sequence) values 
    (NEXTVAL FOR ACTIONGROUPSEQ,'PLUSPSOAPPAGREEGR','PLUSPSOAPPAGREE',1)
;

insert into action (actionid, action, description, objectname, type, value,langcode, memo, usewith,hasld)
values(
NEXTVAL FOR ACTIONSEQ, 'PLUSPSOAPPAGREE', 'Sales Order Apply Customer Agreement Action','PLUSPSALESORDER', 'APPACTION', 'APPLYPS','EN', ' ', 'ALL',
0)
;

insert into action (actionid,action,description,objectname,type,langcode,memo,usewith,hasld) values 
(NEXTVAL FOR ACTIONSEQ,'PLUSPSOAPPAGREEGR','Sales Order Apply Customer Agreement Action Group','PLUSPSALESORDER','GROUP','EN',' ','ALL',0)
;

update maxobject set classname='psdi.plusp.common.action.PlusPActionSet'  where objectname='ACTION'
;
update maxobjectcfg set classname='psdi.plusp.common.action.PlusPActionSet'  where objectname='ACTION'
;

insert into maxattribute (restricted,localizable,objectname,attributename,alias,autokeyname,attributeno,canautonum,classname,columnname,
                          defaultvalue,domainid,eauditenabled,entityname,esigenabled,isldowner,ispositive,length,
                          maxtype,mustbe,required,persistent,primarykeycolseq,remarks,sameasattribute,sameasobject,
                          scale,title,userdefined,searchtype,mlsupported,mlinuse,handlecolumnname,maxattributeid) 
        VALUES            ( 0,0,'PLUSPWPGENBILL','ORGID','ORGID',NULL,1000,0,NULL,'ORGID',
                          NULL,NULL,0,'PLUSPWPGENBILL',0,0,0,0,
                          'UPPER',0,1,1,NULL,'Identifies the organization by a short code value, for example, CANADA to represent a company''s Canadian operations. This value must be unique for all organizations.','ORGID','ORGANIZATION',
                           0,'Organization',0,'WILDCARD',0,0,NULL,NEXTVAL FOR MAXATTRIBUTESEQ)
;

insert into maxattributecfg (restricted,localizable,objectname,attributename,alias,autokeyname,attributeno,canautonum,classname,columnname,
                            defaultvalue,domainid,eauditenabled,entityname,esigenabled,isldowner,ispositive,length,
                            maxtype,mustbe,required,persistent,primarykeycolseq,remarks,sameasattribute,sameasobject,
                            scale,title,userdefined,changed,searchtype,mlsupported,mlinuse,handlecolumnname,maxattributeid) 
        values              ( 0,0,'PLUSPWPGENBILL','ORGID','ORGID',NULL,1000,0,NULL,'ORGID',
                            NULL,NULL,0,'PLUSPWPGENBILL',0,0,0,0,
                            'UPPER',0,1,1,NULL,'Identifies the organization by a short code value, for example, CANADA to represent a company''s Canadian operations. This value must be unique for all organizations.','ORGID','ORGANIZATION',
                            0,'Organization',0,'N','WILDCARD',0,0,NULL,NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

insert into maxattribute (restricted,localizable,objectname,attributename,alias,autokeyname,attributeno,canautonum,classname,columnname,
                          defaultvalue,domainid,eauditenabled,entityname,esigenabled,isldowner,ispositive,length,
                          maxtype,mustbe,required,persistent,primarykeycolseq,remarks,sameasattribute,sameasobject,
                          scale,title,userdefined,searchtype,mlsupported,mlinuse,handlecolumnname,maxattributeid) 
        VALUES            ( 0,0,'PERSON','PLUSPCOMPANYORGID','PLUSPCOMPANYORGID',NULL,1000,0,NULL,'PLUSPCOMPANYORGID',
                          NULL,NULL,0,'PERSON',0,0,0,0,
                          'UPPER',0,0,1,NULL,'Identifies the organization by a short code value, for example, CANADA to represent a company''s Canadian operations. This value must be unique for all organizations.','ORGID','ORGANIZATION',
                           0,'Organization',0,'WILDCARD',0,0,NULL,NEXTVAL FOR MAXATTRIBUTESEQ)
;

insert into maxattributecfg (restricted,localizable,objectname,attributename,alias,autokeyname,attributeno,canautonum,classname,columnname,
                            defaultvalue,domainid,eauditenabled,entityname,esigenabled,isldowner,ispositive,length,
                            maxtype,mustbe,required,persistent,primarykeycolseq,remarks,sameasattribute,sameasobject,
                            scale,title,userdefined,changed,searchtype,mlsupported,mlinuse,handlecolumnname,maxattributeid) 
        values              ( 0,0,'PERSON','PLUSPCOMPANYORGID','PLUSPCOMPANYORGID',NULL,1000,0,NULL,'PLUSPCOMPANYORGID',
                            NULL,NULL,0,'PERSON',0,0,0,0,
                            'UPPER',0,0,1,NULL,'Identifies the organization by a short code value, for example, CANADA to represent a company''s Canadian operations. This value must be unique for all organizations.','ORGID','ORGANIZATION',
                            0,'Organization',0,'N','WILDCARD',0,0,NULL,NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;


/** Issue 07-21890 **/

update maxmenu 
set image = 'nav_icon_insertkey.gif'
where menutype = 'APPTOOL' and moduleapp = 'PLUSPSRV' and keyvalue = 'INSERT' and image = 'nav_icon_insert.gif'
;


/** Issue 07-22141 **/
update maxattribute set defaultvalue='INTERNAL' where objectname='PERSON' and attributename='PLUSPCUSTVNDTYPE'
;
update maxattributecfg set defaultvalue='INTERNAL' where objectname='PERSON' and attributename='PLUSPCUSTVNDTYPE'
;

/** Issue 07-20899 **/
update maxattribute
set searchtype = 'WILDCARD'
where objectname = 'PLUSPCUSTOMERLOG' and attributename = 'DESCRIPTION'
;

/**07-23461**/
update maxrelationship set whereclause=
'(ticketid = :ticketid or ((refwo = :refwo or refwo in (select wonum from workorder where parent = :refwo and istask <>0)) and orgid = :orgid)) and genapprservreceipt=:yes'
 where name = 'PLUSPBILLLINE_LABTRANS'
;


/** Issue 07-21015 **/
insert into maxrelationship (name, parent, child, whereclause, remarks,maxrelationshipid) 
values ('PLUSPBILLBATCH_AGREEAPPRREV','PLUSPBILLBATCH', 'PLUSPAGREEMENT','agreement = :agreement and revisionnum in (select max(revisionnum) from pluspagreement where agreement = :agreement and status in (select value from synonymdomain where domainid = ''PLUSPAGREESTATUS'' and maxvalue in (''APPR'')))', 'Relationship to link BillBatch and Agreement filtering by last approved revision', nextval for maxrelationshipseq)
;

/** Issue 07-24758 **/
update maxattribute 
set classname = 'psdi.plusp.app.pluspbill.PlusPFldRevisionNum' 
where attributename = 'REVISIONNUM' and objectname = 'PLUSPPREBILLB'
;

update maxattributecfg
set classname = 'psdi.plusp.app.pluspbill.PlusPFldRevisionNum' 
where attributename = 'REVISIONNUM' and objectname = 'PLUSPPREBILLB'
;

/** Issue 07-24530 **/
update maxrelationship
set whereclause = '(ticketid = :ticketid or ((refwo = :refwo or refwo in (select wonum from workorder where parent = :refwo and istask <>0)) and orgid = :orgid)) and genapprservreceipt=:yes and ticketclass = :ticketclass'
where parent = 'PLUSPBILLLINE' and child = 'LABTRANS'
;

/**move person field init to the field class**/
update maxattribute set classname = 'psdi.plusp.app.person.PlusPFldPersonCustVndName' where objectname = 'PERSON' and attributename = 'PLUSPCUSTVNDNAME'
;
update maxattributecfg set classname = 'psdi.plusp.app.person.PlusPFldPersonCustVndName' where objectname = 'PERSON' and attributename = 'PLUSPCUSTVNDNAME'
;


delete from maxservice where servicename = 'PLUSPPBILL'
;
delete from maxservice where servicename = 'PLUSPRESPPLAN'
;
delete from maxservice where servicename = 'PLUSPSRV'
;
update maxobject set servicename = 'LOCATION' where objectname = 'PLUSPSERVADDR'
;
update maxobjectcfg set servicename = 'LOCATION' where objectname = 'PLUSPSERVADDR'
;


/**07-28199**/
update maxrelationship
set whereclause = '( (ticketid = :ticketid and ticketclass = :ticketclass) or ( (refwo = :refwo or refwo in (select wonum from workorder where parent = :refwo and istask <>0) ) and orgid = :orgid) ) and genapprservreceipt=:yes'
where parent = 'PLUSPBILLLINE' and child = 'LABTRANS'
;