--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',91,0,'OPTION','ASSOCCUST',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSPRESP','Attachments',NEXTVAL FOR APPDOCTYPESEQ)
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPRPSTATUS'
            AND VALUE = 'ACTIVE'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPRPSTATUS'
            AND VALUE = 'INACTIVE'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'SLASTATUS'
            AND VALUE = 'ACTIVE'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'SLASTATUS'
            AND VALUE = 'INACTIVE'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'sanum = :parentslanum'
      WHERE NAME = 'PARENTSLA'
            AND PARENT = 'RELATEDSLA'
            AND CHILD = 'SLA'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'sanum = :childslanum'
      WHERE NAME = 'CHILDSLA'
            AND PARENT = 'RELATEDSLA'
            AND CHILD = 'SLA'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'sanum=:slanum'
      WHERE NAME = 'SLA'
            AND PARENT = 'SLACONTRACT'
            AND CHILD = 'SLA'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'sla.sanum in (select slanum from slaassetloc where slaassetloc.location=:location ) and sla.status in (select value from synonymdomain where domainid=''SLASTATUS'' and maxvalue =''ACTIVE'')'
      WHERE NAME = 'SLA'
            AND PARENT = 'LOCATIONS'
            AND CHILD = 'SLA'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.plusprespplan.PlusPFldEscalationAction'
      WHERE OBJECTNAME = 'ESCREFPOINT'
            AND ATTRIBUTENAME = 'ACTION'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.plusprespplan.PlusPFldEscalationAction'
      WHERE OBJECTNAME = 'ESCREFPOINT'
            AND ATTRIBUTENAME = 'ACTION'
;

DELETE FROM MAXMENU
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPMENU'
            AND KEYVALUE IN ('INSERT','SAVE','CLEAR','PREVIOUS','NEXT')
;

UPDATE MAXMENU
      SET TABDISPLAY = 'MAIN'
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPMENU'
            AND KEYVALUE IN ('BOOKMARK','DUPLICATE','DELETE')
;

UPDATE MAXMENU
      SET POSITION = 10
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPMENU'
            AND KEYVALUE = 'STATUS'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,VISIBLE,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',20,0,'SEP','AM20',1,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXMENU
      SET POSITION = 30
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPMENU'
            AND KEYVALUE = 'ASSOCCUST'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,VISIBLE,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',40,0,'SEP','AM40',1,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',50,0,'HEADER','AM50','Attachment Library/Folders',NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',50,10,'OPTION','MANAGELIB',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',50,20,'OPTION','MANAGEFOLD',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',50,30,'OPTION','ASSOCFOLD',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,VISIBLE,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',60,0,'SEP','AM60',1,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXMENU
      SET POSITION = 70
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPMENU'
            AND KEYVALUE = 'DUPLICATE'
;

UPDATE MAXMENU
      SET POSITION = 80
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPMENU'
            AND KEYVALUE = 'DELETE'
;

UPDATE MAXMENU
      SET POSITION = 90
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPMENU'
            AND KEYVALUE = 'BOOKMARK'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,VISIBLE,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',9000,0,'SEP','AM9000',1,NULL,NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPRESP',9001,0,'OPTION','RUNREPORTS',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXMENU
      SET TABDISPLAY = 'MAIN'
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPTOOL'
            AND KEYVALUE IN ('SAVE','CLEAR','PREVIOUS','NEXT')
;

UPDATE MAXMENU
      SET POSITION = 10
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPTOOL'
            AND KEYVALUE = 'INSERT'
;

UPDATE MAXMENU
      SET POSITION = 20
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPTOOL'
            AND KEYVALUE = 'SAVE'
;

UPDATE MAXMENU
      SET POSITION = 30
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPTOOL'
            AND KEYVALUE = 'CLEAR'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,VISIBLE,TABDISPLAY,MAXMENUID) VALUES ('APPTOOL','PLUSPRESP',40,0,'SEP','AT40',1,NULL,NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXMENU
      SET POSITION = 50
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPTOOL'
            AND KEYVALUE = 'PREVIOUS'
;

UPDATE MAXMENU
      SET POSITION = 60
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPTOOL'
            AND KEYVALUE = 'NEXT'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,VISIBLE,TABDISPLAY,MAXMENUID) VALUES ('APPTOOL','PLUSPRESP',70,0,'SEP','AT70',1,NULL,NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXMENU
      SET POSITION = 80
      WHERE MODULEAPP = 'PLUSPRESP'
            AND MENUTYPE = 'APPTOOL'
            AND KEYVALUE = 'STATUS'
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,SIGOPTIONID,LANGCODE,HASLD) VALUES ('PLUSPRESP','ASSOCFOLD','Associate Folders',0,1,NULL,NULL,'READ',NEXTVAL FOR SIGOPTIONSEQ,'EN',0)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,SIGOPTIONID,LANGCODE,HASLD) VALUES ('PLUSPRESP','MANAGEFOLD','Manage Folders',0,1,NULL,NULL,'READ',NEXTVAL FOR SIGOPTIONSEQ,'EN',0)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,SIGOPTIONID,LANGCODE,HASLD) VALUES ('PLUSPRESP','MANAGELIB','Manage Library',0,1,NULL,NULL,'READ',NEXTVAL FOR SIGOPTIONSEQ,'EN',0)
;

--*[300108]Translation Ratio: 100% (40/40 statements were translated successfully)
