--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXRELATIONSHIP
      SET REMARKS = 'Relationship to Commodities used in WO', WHERECLAUSE = 'commodity = :commodity'
      WHERE NAME = 'COMMODITIES'
            AND PARENT = 'WORKORDER'
            AND CHILD = 'COMMODITIES'
;

UPDATE MAXRELATIONSHIP
      SET REMARKS = 'Relationship to Commodities used in TICKET'
      WHERE NAME = 'COMMODITIES'
            AND PARENT = 'TICKET'
            AND CHILD = 'COMMODITIES'
;

UPDATE MAXMENU
      SET POSITION = 24
      WHERE MENUTYPE = 'APPMENU'
            AND MODULEAPP = 'SLA'
            AND ELEMENTTYPE = 'OPTION'
            AND KEYVALUE = 'ASSOCCUST'
;



UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.pluspserviceagree.PlusPFldClassStructureHierarchyPath'
      WHERE OBJECTNAME = 'CLASSSTRUCTURE'
            AND ATTRIBUTENAME = 'HIERARCHYPATH'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.pluspserviceagree.PlusPFldClassStructureHierarchyPath'
      WHERE OBJECTNAME = 'CLASSSTRUCTURE'
            AND ATTRIBUTENAME = 'HIERARCHYPATH'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.pluspserviceagree.PlusPFldEscNotificatTemplId'
      WHERE OBJECTNAME = 'ESCNOTIFICATION'
            AND ATTRIBUTENAME = 'TEMPLATEID'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.pluspserviceagree.PlusPFldEscNotificatTemplId'
      WHERE OBJECTNAME = 'ESCNOTIFICATION'
            AND ATTRIBUTENAME = 'TEMPLATEID'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'escalation = :escalation'
      WHERE NAME = 'ESCALATION'
            AND PARENT = 'PLUSPRESPPLAN'
            AND CHILD = 'ESCALATION'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Equal to'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'EQUALS'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Exists'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'EXISTS'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Greater Than'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'GREATER'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Greater Than or Equal to'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'GREATEROREQUAL'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Is Not Null'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'ISNOTNULL'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Is Null'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'ISNULL'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Less Than'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'LESS'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Less Than or Equal to'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'LESSOREQUAL'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Like'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'LIKE'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'None'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'NONE'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Not Equal to'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'NOTEQUALS'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Not Exists'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'NOTEXISTS'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Not Like'
      WHERE DOMAINID = 'EVALTYPE'
            AND MAXVALUE = 'NOTLIKE'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Active'
      WHERE DOMAINID = 'PLUSPRPSTATUS'
            AND VALUE = 'ACTIVE'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Draft'
      WHERE DOMAINID = 'PLUSPRPSTATUS'
            AND VALUE = 'DRAFT'
;

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Inactive'
      WHERE DOMAINID = 'PLUSPRPSTATUS'
            AND VALUE = 'INACTIVE'
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSPRESP','Diagrams',NEXTVAL FOR APPDOCTYPESEQ)
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSPRESP','Images',NEXTVAL FOR APPDOCTYPESEQ)
;

INSERT INTO MAXSERVICE (initorder,active,internal,SERVICENAME,DESCRIPTION,CLASSNAME,MAXSERVICEID) VALUES ( 1020,1,0,'PLUSPCUST','Service Provider Service','psdi.plusp.app.pluspcust.PlusPCustomerService',NEXTVAL FOR MAXSERVICESEQ)
;

INSERT INTO MAXMODULES (MODULE,DESCRIPTION,MAXMODULESID) VALUES ('PLUSPSP','Service Provider (SP)',NEXTVAL FOR MAXMODULESSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1049','PLUSPCUSTSTATUS','INACTIVE','INACTIVE','Inactive',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1051','PLUSPCUSTLOGREC','AGREEMENT','AGREEMENT','Customer Agreement',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1052','PLUSPCUSTLOGREC','MASTERAGMNT','MASTERAGMNT','Master Customer Agreement',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>1054','PLUSPCUSTCONTACTTP','CONTRACT','Contact for Contract Issues',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO MAXAPPS (APP,DESCRIPTION,APPTYPE,RESTRICTIONS,MAINTBNAME,MAXAPPSID) VALUES ('PLUSPCUST','Service Provider Customer (SP)','RUN',NULL,'PLUSPCUSTOMER',NEXTVAL FOR MAXAPPSSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPTOOL','PLUSPCUST',24,0,'OPTION','STATUS',NULL,NULL,1,'nav_icon_changestatus.gif','CTRL+ALT+A','MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,ALSOGRANTS,ALSOREVOKES,PREREQUISITE,SIGOPTIONID,LANGCODE,HASLD) VALUES ('PLUSPCUST','STATUS','Update Status',0,1,NULL,NULL,NULL,NEXTVAL FOR SIGOPTIONSEQ,'EN',0)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('REPORTADMIN','PLUSPCUST','STATUS',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('MAXADMIN','PLUSPCUST','STATUS',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

INSERT INTO APPLICATIONAUTH (GROUPNAME,APP,OPTIONNAME,APPLICATIONAUTHID) VALUES ('SYSADMIN','PLUSPCUST','STATUS',NEXTVAL FOR APPLICATIONAUTHSEQ)
;

CREATE SEQUENCE pluspcustomerseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPCUSTOMER','PLUSPCUSTOMERID',0,'PLUSPCUSTOMERSEQ')
;


CREATE SEQUENCE pluspcustomerlogseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPCUSTOMERLOG','PLUSPCUSTOMERLOGID',0,'PLUSPCUSTOMERLOGSEQ')
;

CREATE SEQUENCE pluspcustcontactseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPCUSTCONTACT','PLUSPCUSTCONTACTID',0,'PLUSPCUSTCONTACTSEQ')
;

INSERT INTO MAXAPPS (APP,DESCRIPTION,APPTYPE,RESTRICTIONS,MAINTBNAME,MAXAPPSID) VALUES ('PLUSPAGREE','Customer Agreements (SP)','RUN',NULL,'PLUSPAGREEMENT',NEXTVAL FOR MAXAPPSSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1058','PLUSPAGREESTATUS','WAPPR','WAPPR','Waiting for Approval',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1059','PLUSPAGREESTATUS','APPR','APPR','Approved',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1060','PLUSPAGREESTATUS','PNDREV','PNDREV','Pending Revision',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1061','PLUSPAGREESTATUS','EXPIRE','EXPIRE','Expired',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1062','PLUSPAGREESTATUS','SUSPND','SUSPND','Suspended',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1063','PLUSPAGREESTATUS','REVISED','REVISED','Revised',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1064','PLUSPAGREESTATUS','WSTART','WSTART','Waiting to Start',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1065','PLUSPAGREESTATUS','CANCEL','CANCEL','Cancelled',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1066','PLUSPAGREESTATUS','CLOSE','CLOSE','Closed to History',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1068','PLUSPBILLCYCLE','MONTHLY','MONTHLY','Monthly Billing Cycle',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1069','PLUSPBILLCYCLE','QUARTERLY','QUARTERLY','Quarterly Billing Cycle',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1070','PLUSPBILLCYCLE','ANNUAL','ANNUAL','Annual Billing Cycle',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>1072','PLUSPAGREEMENTTYPE','MAINTENANCE','MAINTENANCE Agreement Type',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>1074','PLUSPPAYMENTTERMS','NET 10 DAYS','Payment Terms - Net 10 Days',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>1075','PLUSPPAYMENTTERMS','NET 30 DAYS','Payment Terms - Net 30 Days',NEXTVAL FOR ALNDOMAINSEQ)
;

--*[300108]Translation Ratio: 96.3% (78/81 statements were translated successfully)
