--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

DELETE FROM SYNONYMDOMAIN
      WHERE DOMAINID = 'PLUSPBILLCYCLE'
            AND VALUE = 'WEEKLY'
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusp.app.labor.PlusPLabTransSet'
      WHERE OBJECTNAME = 'LABTRANS'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusp.app.labor.PlusPLabTransSet'
      WHERE OBJECTNAME = 'LABTRANS'
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusp.app.labor.PlusPServRecTransSet'
      WHERE OBJECTNAME = 'SERVRECTRANS'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusp.app.labor.PlusPServRecTransSet'
      WHERE OBJECTNAME = 'SERVRECTRANS'
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusp.app.inventory.PlusPMatUseTransSet'
      WHERE OBJECTNAME = 'MATUSETRANS'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusp.app.inventory.PlusPMatUseTransSet'
      WHERE OBJECTNAME = 'MATUSETRANS'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'APPR'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'CANCEL'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'CLOSE'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'EXPIRE'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'PNDREV'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'REVISED'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'SUSPND'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'WAPPR'
;

UPDATE SYNONYMDOMAIN
      SET DEFAULTS = 1
      WHERE DOMAINID = 'PLUSPAGREESTATUS'
            AND VALUE = 'WSTART'
;

CREATE SEQUENCE plusppricesseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPPRICES','PLUSPPRICESID',0,'PLUSPPRICESSEQ')
;

UPDATE MAXMENU
      SET TABDISPLAY = 'MAIN'
      WHERE MODULEAPP = 'PLUSPAGREE'
            AND KEYVALUE = 'AM200'
;

UPDATE MAXMENU
      SET TABDISPLAY = 'MAIN'
      WHERE MODULEAPP = 'PLUSPAGREE'
            AND KEYVALUE = 'AM100'
;

CREATE SEQUENCE pluspcuststatusseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPCUSTSTATUS','PLUSPCUSTSTATUSID',0,'PLUSPCUSTSTATUSSEQ')
;

INSERT INTO MAXSERVICE (initorder,active,internal,SERVICENAME,DESCRIPTION,CLASSNAME,MAXSERVICEID) VALUES ( 1020,1,0,'PLUSPSO','Service Provider Sales Order','psdi.plusp.app.pluspso.PlusPSalesOrderService',NEXTVAL FOR MAXSERVICESEQ)
;

INSERT INTO MAXAPPS (APP,DESCRIPTION,APPTYPE,RESTRICTIONS,MAINTBNAME,MAXAPPSID) VALUES ('PLUSPSO','Service Provider Sales Order (SP)','RUN',NULL,'PLUSPSALESORDER',NEXTVAL FOR MAXAPPSSEQ)
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Save Bill Batch', ESIGENABLED = 0
      WHERE APP = 'PLUSPBILL'
            AND OPTIONNAME = 'SAVE'
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1194','PLUSPSOSTATUS','APPROVED','APPROVED','Approved',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1195','PLUSPSOSTATUS','CAN','CAN','Cancelled',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1196','PLUSPSOSTATUS','COMPLETE','COMPLETE','Complete',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1197','PLUSPSOSTATUS','CLOSE','CLOSE','Closed',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1198','PLUSPSOSTATUS','HISTEDIT','HISTEDIT','Edited in History',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1200','PLUSPGBTRANSTYPE','MANAGEMENT','ACTUAL','Management Fee',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1201','PLUSPGBTRANSTYPE','TRIP','ACTUAL','Trip Charge',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1202','PLUSPGBTRANSTYPE','INCENTIVE','ACTUAL','Incentive Fee',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>1203','PLUSPGBTRANSTYPE','PENALTY','ACTUAL','Penalty Credit',0,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

CREATE SEQUENCE pluspsalesorderseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPSALESORDER','PLUSPSALESORDERID',0,'PLUSPSALESORDERSEQ')
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSPSO','READ','Read access to app',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

--*[300108]Translation Ratio: 91.3% (42/46 statements were translated successfully)
