--* [300000]MTK Oracle Converter.  Version: 12Apr2007_1816

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPSHOWACTUALFEECHARGE','WORKORDER','PLUSPGBTRANS','type in (select value from SYNONYMDOMAIN where domainid=''PLUSPGBTRANSTYPE'' AND maxvalue = ''ACTUAL'') and wonum in (select wonum from workorder where (wonum=:wonum or (parent=:wonum and istask = :yes)) and siteid=:siteid )','Relationship to the PLUSPSHOWACTUALFEECHARGE Set used by UI for display. This is a  special MboSet used for displaying the actual fees and charges for a given workorder. (wonum in (select wonum from workorder where wplabor.wonum=workorder.wonum or wplabor.parent=workorder.wonum and wplabor.siteid=workorder.siteid)). The resulting set will contain zero or more objects.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.FldWOParent'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PARENT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.FldWOParent'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PARENT'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WPITEM','PLUSPLINEPRICE','WPITEM','PLUSPLINEPRICE','PLUSPLINEPRICE',NULL,990,'AMOUNT',10,2,0,0,NULL,NULL,1,0,'Line Price',NULL,'Line Price',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WPITEM','PLUSPLINEPRICE','WPITEM','PLUSPLINEPRICE','PLUSPLINEPRICE',NULL,990,'AMOUNT',10,2,0,0,NULL,NULL,1,0,'Line Price',NULL,'Line Price',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

--*[300108]Translation Ratio: 100% (5/5 statements were translated successfully)
