--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPCUSTOMER','WORKORDER','PLUSPCUSTOMER','customer=:pluspcustomer','Relationship to the PlusPCustomer table, used to find the customer associated with a workorder',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPPRICESCHED','WORKORDER','PLUSPPRICESCHED','agreement = :pluspagreement and sanum = :plusppricesched and orgid = :orgid','Relationship to the PlusPPriceSched table, used to find the price schedule associated with a workorder',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAGREEMENT','WORKORDER','PLUSPAGREEMENT','agreement = :pluspagreement and orgid = :orgid','Relationship to the PlusPAgreement table, used to find the customer agreement associated with a workorder',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Price Schedule'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Price Schedule'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Price Quotes Allowed'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPALLOWQUOTE'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Price Quotes Allowed'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPALLOWQUOTE'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOAgreement'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPAGREEMENT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOAgreement'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPAGREEMENT'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Address Line 2', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPADDRESSLINE2'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Address Line 2', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPADDRESSLINE2'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Address Line 3', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPADDRESSLINE3'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Address Line 3', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPADDRESSLINE3'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'State / Province', TITLE = 'State / Province', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTATEPROVINCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'State / Province', TITLE = 'State / Province', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTATEPROVINCE'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'ZIP / Postal Code', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPPOSTALCODE'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'ZIP / Postal Code', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPPOSTALCODE'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'GEO Code', CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOGeoCode'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPGEOCODE'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'GEO Code', CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOGeoCode'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPGEOCODE'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Bill Batch'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPBILLBATCH'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Bill Batch'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPBILLBATCH'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Bill Batch Status'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPBBSTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Bill Batch Status'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPBBSTATUS'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Bill Line Status'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPBBLINESTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Bill Line Status'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPBBLINESTATUS'
;

UPDATE MAXATTRIBUTE
      SET DOMAINID = 'TIMEZONE', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPTIMEZONE'
;

UPDATE MAXATTRIBUTECFG
      SET DOMAINID = 'TIMEZONE', CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPTIMEZONE'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOLatitude'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPLATITUDE'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOLatitude'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPLATITUDE'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOLongitude'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPLONGITUDE'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.workorder.PlusPFldWOLongitude'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPLONGITUDE'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.pluspcust.PlusPFldCustPlusPCustomerInactive'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCUSTOMER'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.pluspcust.PlusPFldCustPlusPCustomerInactive'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCUSTOMER'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTREETADDRESS'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPSTREETADDRESS'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCITY'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCITY'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPREGIONDISTR'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPREGIONDISTR'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCOUNTY'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCOUNTY'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCOUNTRY'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPCOUNTRY'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPREFPOINT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPREFPOINT'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Apply Customer Agreement', ESIGENABLED = 0
      WHERE APP = 'PLUSPWO'
            AND OPTIONNAME = 'APPLYPS'
;

UPDATE MAXATTRIBUTE
      SET ISLDOWNER = 1, CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPDIRECTIONS'
;

UPDATE MAXATTRIBUTECFG
      SET ISLDOWNER = 1, CLASSNAME = 'psdi.plusp.app.ticket.PlusPFldServiceAddress'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPDIRECTIONS'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPDIRECTIONS_LONGDESCRIPTION',NULL,NULL,'PLUSPDIRECTIONS',NULL,1159,'LONGALN',32000,0,0,0,NULL,NULL,0,0,'Long description for DIRECTIONS',NULL,'DIRECTIONS Long description',NULL,0,0,NULL,'psdi.plusp.app.ticket.PlusPFldServiceAddress',0,0,0,'TEXT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPPSFILTER',NULL,NULL,'PLUSPPSFILTER',NULL,1160,'UPPER',10,0,0,0,NULL,NULL,0,0,'This field is for receiving the radio button values in the select price schedule dialog.',NULL,'Select Mode',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRNUMBER','WORKORDER','PLUSPSTADDRNUMBER','PLUSPSTADDRNUMBER',NULL,1162,'ALN',9,0,0,0,'PLUSPSERVADDR','STADDRNUMBER',0,0,'House Number',NULL,'House Number',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRDIRPRFX','WORKORDER','PLUSPSTADDRDIRPRFX','PLUSPSTADDRDIRPRFX',NULL,1163,'ALN',2,0,0,0,'PLUSPSERVADDR','STADDRDIRPRFX',0,0,'Direction Prefix',NULL,'Direction Prefix',NULL,1,0,'PLUSPSTREETDIRECT',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRSTREET','WORKORDER','PLUSPSTADDRSTREET','PLUSPSTADDRSTREET',NULL,1164,'ALN',25,0,0,0,'PLUSPSERVADDR','STADDRSTREET',0,0,'Street Name',NULL,'Street Name',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRSTTYPE','WORKORDER','PLUSPSTADDRSTTYPE','PLUSPSTADDRSTTYPE',NULL,1165,'ALN',25,0,0,0,'PLUSPSERVADDR','STADDRSTTYPE',0,0,'Street Type',NULL,'Street Type',NULL,1,0,'PLUSPSTREETTYPE',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRDIRSFX','WORKORDER','PLUSPSTADDRDIRSFX','PLUSPSTADDRDIRSFX',NULL,1166,'ALN',2,0,0,0,'PLUSPSERVADDR','STADDRDIRSFX',0,0,'Direction Sufix',NULL,'Direction Sufix',NULL,1,0,'PLUSPSTREETDIRECT',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRUNITNUM','WORKORDER','PLUSPSTADDRUNITNUM','PLUSPSTADDRUNITNUM',NULL,1167,'ALN',6,0,0,0,'PLUSPSERVADDR','STADDRUNITNUM',0,0,'Unit Number',NULL,'Apartment / Unit / Suite',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPDIRECTIONS_LONGDESCRIPTION',NULL,NULL,'PLUSPDIRECTIONS',NULL,1160,'LONGALN',32000,0,0,0,NULL,NULL,0,0,'Long description for DIRECTIONS',NULL,'DIRECTIONS Long description',NULL,0,0,NULL,'psdi.plusp.app.ticket.PlusPFldServiceAddress',0,0,0,'TEXT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPPSFILTER',NULL,NULL,'PLUSPPSFILTER',NULL,1161,'UPPER',10,0,0,0,NULL,NULL,0,0,'This field is for receiving the radio button values in the select price schedule dialog.',NULL,'Select Mode',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRNUMBER','WORKORDER','PLUSPSTADDRNUMBER','PLUSPSTADDRNUMBER',NULL,1162,'ALN',9,0,0,0,'PLUSPSERVADDR','STADDRNUMBER',0,0,'House Number',NULL,'House Number',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRDIRPRFX','WORKORDER','PLUSPSTADDRDIRPRFX','PLUSPSTADDRDIRPRFX',NULL,1163,'ALN',2,0,0,0,'PLUSPSERVADDR','STADDRDIRPRFX',0,0,'Direction Prefix',NULL,'Direction Prefix',NULL,1,0,'PLUSPSTREETDIRECT',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRSTREET','WORKORDER','PLUSPSTADDRSTREET','PLUSPSTADDRSTREET',NULL,1164,'ALN',25,0,0,0,'PLUSPSERVADDR','STADDRSTREET',0,0,'Street Name',NULL,'Street Name',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRSTTYPE','WORKORDER','PLUSPSTADDRSTTYPE','PLUSPSTADDRSTTYPE',NULL,1165,'ALN',25,0,0,0,'PLUSPSERVADDR','STADDRSTTYPE',0,0,'Street Type',NULL,'Street Type',NULL,1,0,'PLUSPSTREETTYPE',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRDIRSFX','WORKORDER','PLUSPSTADDRDIRSFX','PLUSPSTADDRDIRSFX',NULL,1166,'ALN',2,0,0,0,'PLUSPSERVADDR','STADDRDIRSFX',0,0,'Direction Sufix',NULL,'Direction Sufix',NULL,1,0,'PLUSPSTREETDIRECT',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WORKORDER','PLUSPSTADDRUNITNUM','WORKORDER','PLUSPSTADDRUNITNUM','PLUSPSTADDRUNITNUM',NULL,1167,'ALN',6,0,0,0,'PLUSPSERVADDR','STADDRUNITNUM',0,0,'Unit Number',NULL,'Apartment / Unit / Suite',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

--*[300108]Translation Ratio: 100% (65/65 statements were translated successfully)
