--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXVIEWCOLUMN (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,MAXVIEWCOLUMNID) VALUES ('PLUSPRESPPLAN','ROWSTAMP',NULL,'PLUSPSERVAGREE','ROWSTAMP',NEXTVAL FOR MAXVIEWCOLUMNSEQ)
;

INSERT INTO MAXVIEWCOLUMNCFG (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,CHANGED,MAXVIEWCOLUMNID) VALUES ('PLUSPRESPPLAN','ROWSTAMP',NULL,'PLUSPSERVAGREE','ROWSTAMP','N',NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ADMINISTRATOR','PLUSPRESPPLAN','PERSON','personid = :administrator','Relationship to person used by admin',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLASSET','PLUSPRESPPLAN','PLUSPAPPLASSET','ownertable=''PLUSPRESPPLAN'' and ownerid = :sanum','Relationship to the PLUSPAPPLASSET used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLCOND','PLUSPRESPPLAN','PLUSPAPPLCOND','ownertable=''PLUSPRESPPLAN'' and ownerid = :sanum','Relationship to the PLUSPAPPLCOND used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLLOC','PLUSPRESPPLAN','PLUSPAPPLLOC','ownertable=''PLUSPRESPPLAN'' and ownerid = :sanum','Relationship to the PLUSPAPPLLOC used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPAPPLSERV','PLUSPRESPPLAN','PLUSPAPPLSERV','ownertable=''PLUSPRESPPLAN'' and ownerid = :sanum','Relationship to the PLUSPAPPLSERV used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('APPLYJOBPLAN','PLUSPRESPPLAN','JOBPLAN','jpnum = :applyjobplan','Relationship to JobPlan used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('APPLYTKTEMPLATE','PLUSPRESPPLAN','TKTEMPLATE','templateid = :applytktemplate','Relationship to TkTemplate used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSIGNOWNER','PLUSPRESPPLAN','PERSON','personid = :assignowner','Relationship to Person used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSIGNOWNERGROUP','PLUSPRESPPLAN','PERSONGROUP','persongroup = :assignownergroup','Relationship to PerosnGroup used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSIGNVENDOR','PLUSPRESPPLAN','COMPANIES','company = :assignvendor','Relationship to Companies used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('CLASSSTRUCTURE','PLUSPRESPPLAN','CLASSSTRUCTURE','classstructureid = :classstructureid','Relationship to the classstructure table, used to find a class',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('DOCLINKS','PLUSPRESPPLAN','DOCLINKS','ownertable = ''PLUSPRESPPLAN'' and ownerid = :pluspservagreeid ','Relationship to the DocLinks table, used to find all documents for a given response plan.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ESCALATION','PLUSPRESPPLAN','ESCALATION','escalation = :escalation','Relationship to Escalation used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('EXPBUILDER','PLUSPRESPPLAN','EXPBUILDER','1=1','PLUSPRESPPLAN to EXPBUILDER relation',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPCUSTRP','PLUSPRESPPLAN','PLUSPCUSTRP','responseplan = :sanum','Relationship for CUSTRP used by RP',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RESPPLANACTIONGROUP','PLUSPRESPPLAN','ACTIONGROUP','actiongroupid = :actiongroup','Relationship to notify',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RESPPLANASSETANCESTOR','PLUSPRESPPLAN','ASSETANCESTOR',':sanum in (select apas.ownerid from PLUSPAPPLASSET apas where apas.ownertable = ''PLUSPRESPPLAN'' and apas.assetnum = assetancestor.ancestor and (( assetancestor.assetnum = assetancestor.ancestor) or (assetancestor.assetnum <> assetancestor.ancestor and apas.includechildren = :yes  )))','Relationship for Asset Hierarchy field in Advanced Search of Response Plan',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RESPPLANCUSTOMER','PLUSPRESPPLAN','PLUSPCUSTRP','responseplan = :sanum','Relationship to get PluspCustRP for a PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RESPPLANLOCANCESTOR','PLUSPRESPPLAN','LOCANCESTOR',':sanum in (select aploc.ownerid from PLUSPAPPLLOC aploc where aploc.ownertable = ''PLUSPRESPPLAN'' and aploc.location = locancestor.ancestor and aploc.siteid = siteid and (( locancestor.location = locancestor.ancestor) or (locancestor.location <> locancestor.ancestor and aploc.includechildren = :yes  )))','Relationship for Location Hierarchy field in Advanced Search of Response Plan',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RESPPLANSTATUS','PLUSPRESPPLAN','PLUSPRPCHGSTATUS',NULL,'Relationship to virtual ChangeStatus',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RPESCACTIONGRP','PLUSPRESPPLAN','ACTIONGROUP',NULL,'Relationship to the ActionsGroup used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RPESCALATION','PLUSPRESPPLAN','ESCREFPOINT','refpointid =:refpointid','Relationship to the ActionsGroup used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RPESCNOTIFICATION','PLUSPRESPPLAN','ESCNOTIFICATION','refpointid =:refpointid','Relationship to Escalations Notifications used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('RPRECORDS','PLUSPRESPPLAN','RPRECORDS','responseplan = :sanum','Relationship to the RPRECORDS used in PLUSPRESPPLAN',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPRPSTATUSDUMMY','PLUSPRESPPLAN','PLUSPRPSTATUSDUMMY',NULL,'Relationship to virtual Dummy',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXOBJECT (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('SLA','psdi.plusp.app.sla.PlusPSLASet','Service Level Agreements',0,NULL,'SLA',NULL,'PLUSPSERVAGREE',1,0,1,'PLUSPSERVAGREE','SYSTEM',0,0,0,NEXTVAL FOR MAXOBJECTSEQ)
;

INSERT INTO MAXOBJECTCFG (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,MAINOBJECT,INTERNAL,CHANGED,MAXOBJECTID) VALUES ('SLA','psdi.plusp.app.sla.PlusPSLASet','Service Level Agreements',0,NULL,'SLA',NULL,'PLUSPSERVAGREE',1,0,1,'PLUSPSERVAGREE','SYSTEM',0,0,0,'N',NEXTVAL FOR MAXOBJECTCFGSEQ)
;

INSERT INTO MAXVIEW (VIEWNAME,AUTOSELECT,VIEWSELECT,VIEWWHERE,MAXVIEWID) VALUES ('SLA',1,NULL,'servicetype = ''SLA''',NEXTVAL FOR MAXVIEWSEQ)
;

INSERT INTO MAXVIEWCFG (VIEWNAME,AUTOSELECT,VIEWSELECT,VIEWWHERE,MAXVIEWID) VALUES ('SLA',1,NULL,'servicetype = ''SLA''',NEXTVAL FOR MAXVIEWCFGSEQ)
;

COMMIT
;

--*[300108]Translation Ratio: 100% (32/32 statements were translated successfully)
