/**07-16706**/

update maxmenu set image = 'nav_icon_insertkey.gif' where keyvalue = 'INSERT' and moduleapp = 'PLUSPRESP'
;


/** 07-16530 **/

update maxattribute set classname='psdi.plusp.app.pluspbill.PlusPFldBillReviewStatus' where  objectname='PLUSPPREBILLB' and attributename='STATUS'
;
update maxattributecfg set classname='psdi.plusp.app.pluspbill.PlusPFldBillReviewStatus' where  objectname='PLUSPPREBILLB' and attributename='STATUS'
;


/** 07-16721 **/
update maxattributecfg set defaultvalue='&AUTOKEY&' where attributename='BILLBATCHNUM' and objectname='PLUSPBILLBATCH'
;
update maxattribute set defaultvalue='&AUTOKEY&' where attributename='BILLBATCHNUM' and objectname='PLUSPBILLBATCH'
;


/** 07-16719 **/
update maxmenu set image = 'nav_icon_insertkey.gif' where keyvalue = 'INSERT' and moduleapp = 'PLUSPBILL'
;
insert into maxmenu (menutype, moduleapp, position, subposition,elementtype, keyvalue, headerdescription, visible, image, accesskey, tabdisplay,maxmenuid) 
values ('APPTOOL','PLUSPBILL',15,0,'OPTION','CLEAR','',1,'nav_icon_clear.gif','CTRL+ALT+C','MAIN', nextval for maxmenuseq)
;
insert into sigoption (app, optionname, description,esigenabled,visible,sigoptionid,hasld,langcode)
values ('PLUSPBILL','CLEAR','Clear Changes',0,1,nextval for sigoptionseq,0,'EN')
;

/**HASLD remarks fix**/

update maxattribute set remarks = 'Boolean flag to indicate if there is any long description for this record' 
where attributename = 'HASLD' and objectname in ('PLUSPPRICESCHED','PLUSPRESPPLAN','PLUSPAPPLCOND',
'PLUSPAPPLFLD','PLUSPSERVAGREE','PLUSPAPPLASSET','PLUSPAPPLSERV','PLUSPAPPLLOC','PLUSPWPGENBILL')
;

update maxattributecfg set remarks = 'Boolean flag to indicate if there is any long description for this record' 
where attributename = 'HASLD' and objectname in ('PLUSPPRICESCHED','PLUSPRESPPLAN','PLUSPAPPLCOND',
'PLUSPAPPLFLD','PLUSPSERVAGREE','PLUSPAPPLASSET','PLUSPAPPLSERV','PLUSPAPPLLOC','PLUSPWPGENBILL')
;


/**07-16769,07-16746**/

update maxattribute set classname = 'psdi.plusp.app.pluspcustagree.PlusPFldFixedAmount' 
where objectname in ('PLUSPPSASSETMGT','PLUSPPSASSETUSE') and attributename = 'FIXEDPRICE'
;

update maxattributecfg set classname = 'psdi.plusp.app.pluspcustagree.PlusPFldFixedAmount' 
where objectname in ('PLUSPPSASSETMGT','PLUSPPSASSETUSE') and attributename = 'FIXEDPRICE'
;

/**07-16446**/
update maxattribute set classname = 'psdi.plusp.app.labor.PlusPFldLabTransVendor' where objectname = 'LABTRANS' and attributename = 'VENDOR'
;
update maxattributecfg set classname = 'psdi.plusp.app.labor.PlusPFldLabTransVendor' where objectname = 'LABTRANS' and attributename = 'VENDOR'
;

/**07-16859**/
update maxrelationship set whereclause = 'type in (select value from SYNONYMDOMAIN where domainid = ''PLUSPGBTRANSTYPE'' and maxvalue = ''ACTUAL'') and (ticketclass=:ticketclass and ticketid = :ticketid or ((salesordernum = :salesordernum or wonum = :refwo or wonum in (select wonum from workorder where parent = :refwo and istask <>0)) and orgid = :orgid))'
where name = 'PLUSPBILLLINE_GBT' and parent = 'PLUSPBILLLINE'
;


/** 07-16738 **/

update maxobject set  mainobject=1 where objectname='PLUSPSERVADDR'
;
update maxobjectcfg set  mainobject=1 where objectname='PLUSPSERVADDR'
;


update maxobject set  mainobject=1 where objectname='PLUSPRESPPLAN'
;
update maxobjectcfg set  mainobject=1 where objectname='PLUSPRESPPLAN'
;


update maxobject set  mainobject=1 where objectname='PLUSPPREBILLB'
;
update maxobjectcfg set  mainobject=1 where objectname='PLUSPPREBILLB'
;


update maxobject set  mainobject=1 where objectname='PLUSPBILLBATCH'
;
update maxobjectcfg set  mainobject=1 where objectname='PLUSPBILLBATCH'
;


update maxobject set  mainobject=1 where objectname='PLUSPAGREEMENT'
;
update maxobjectcfg set  mainobject=1 where objectname='PLUSPAGREEMENT'
;

/** 07-16903 **/
update maxattribute set domainid = null where domainid = 'PLUSPCUSTCOSTCENT'
;

update maxattributecfg set domainid = null where domainid = 'PLUSPCUSTCOSTCENT'
;



/** FIX yorn mustbe**/

update maxattribute set mustbe=1 where maxtype = 'YORN' and (objectname like 'PLUSP%' or attributename like 'PLUSP%')
;
update maxattributecfg set mustbe=1 where maxtype = 'YORN' and (objectname like 'PLUSP%' or attributename like 'PLUSP%')
;

/** 07-16866 **/
update maxattribute set classname = null where objectname = 'PLUSPCUSTOMER' and attributename = 'STREETADDRESS' 
; 

update maxattributecfg set classname = null where objectname = 'PLUSPCUSTOMER' and attributename = 'STREETADDRESS' 
; 

/** 07-16996 **/
update maxattribute set required = 1 where objectname = 'PLUSPPRICESCHED' and attributename = 'ORGID'
;
update maxattributecfg set required = 1 where objectname = 'PLUSPPRICESCHED' and attributename = 'ORGID' 
;
update maxattribute set required = 1 where objectname = 'PLUSPPRICESCHED' and attributename = 'AGREEMENT'
;
update maxattributecfg set required = 1 where objectname = 'PLUSPPRICESCHED' and attributename = 'AGREEMENT' 
;
update maxattribute set required = 1 where objectname = 'PLUSPPRICESCHED' and attributename = 'REVISIONNUM'
;
update maxattributecfg set required = 1 where objectname = 'PLUSPPRICESCHED' and attributename = 'REVISIONNUM' 
;

/** 07-16898 **/
update maxattribute set classname = 'psdi.plusp.app.pluspbill.PlusPFldRevisionNum' where objectname = 'PLUSPBILLBATCH' and attributename = 'REVISIONNUM'
;
update maxattributecfg set classname = 'psdi.plusp.app.pluspbill.PlusPFldRevisionNum' where objectname = 'PLUSPBILLBATCH' and attributename = 'REVISIONNUM'
;