insert into synonymdomain
 (valueid,domainid, value, maxvalue, description, defaults,synonymdomainid)
values ( '<HCTDOMAIN>1217',
'CLASSUSEWITH','PLUSPSALESORDER','PLUSPSALESORDER','Use With Sales Orders',1,nextval for synonymdomainseq)
;


insert into synonymdomain
 (valueid,domainid, value, maxvalue, description, defaults,synonymdomainid)
values ( '<HCTDOMAIN>1218',
'CLASSUSEWITH','PLUSPGBTRANS','PLUSPGBTRANS','Use With Fees and Charges',1,nextval for synonymdomainseq)
;

update maxmenu
set POSITION = 25
where MODULEAPP = 'PLUSPSRV' and  MENUTYPE = 'APPMENU' and POSITION = 20 and SUBPOSITION > 0
;

update maxmenu
set KEYVALUE = 'AM27'
where MODULEAPP = 'PLUSPSRV' and  MENUTYPE = 'APPMENU' and POSITION = 27 and ELEMENTTYPE = 'SEP'
; 

update maxmenu
set position = 2
where moduleapp = 'PLUSPAGREE' and elementtype = 'OPTION' and keyvalue = 'STATUS' and position = 5
;

update maxmenu
set position = 5
where moduleapp = 'PLUSPAGREE' and elementtype = 'OPTION' and keyvalue = 'VIEWSCHREP' and position = 3
;

insert into maxmenu (menutype, moduleapp, position, subposition,elementtype, keyvalue, headerdescription, visible, image, accesskey, tabdisplay,maxmenuid) 
values ('APPMENU','PLUSPAGREE',3,0,'SEP','AM3','',1,NULL,NULL,'ALL',nextval for maxmenuseq)
;

update maxmenu
set position = 160
where moduleapp = 'PLUSPAGREE' and elementtype = 'OPTION' and keyvalue = 'RUNREPORTS' and position = 50
;

update maxmenu
set position = 1
where moduleapp = 'PLUSPAGREE' and elementtype = 'OPTION' and keyvalue = 'STATUSHIST' and position = 36
;

update maxmenu
set position = 36
where moduleapp = 'PLUSPAGREE' and elementtype = 'OPTION' and keyvalue = 'REVISION' and position = 39
;

update maxmenu
set position = position+4
where moduleapp = 'PLUSPAGREE' and elementtype = 'OPTION' and keyvalue in ('VIEWSCHREP','REPAPPSEC','VIEWREPSEC') and position in (5,6,8)
;

update maxmenu
set position = 5, KEYVALUE = 'AM5'
where moduleapp = 'PLUSPAGREE' and elementtype = 'SEP' and keyvalue = 'AM10' and position = 40
;


update maxmenu
set elementtype = 'HEADER', headerdescription = 'Attachment Library/Folders' 
where moduleapp = 'PLUSPSO' and position = 160 and subposition = 0 and  MENUTYPE = 'APPMENU'
;

update maxmenu
set elementtype = 'HEADER', headerdescription = 'Attachment Library/Folders' 
where moduleapp = 'PLUSPBILL' and position = 400 and subposition = 0 and  MENUTYPE = 'APPMENU'
;


update maxmenu
set elementtype = 'HEADER', headerdescription = 'Attachment Library/Folders' 
where moduleapp = 'PLUSPPBILL' and position = 400 and subposition = 0 and  MENUTYPE = 'APPMENU'
;

/**07-30001**/

update maxattribute
set length = 50
where (attributename   = 'RESOURCE' and objectname   in ('PLUSPWOGRTOTALS','PLUSPWOTOTALS')) or 
      (sameasattribute = 'RESOURCE' and sameasobject in ('PLUSPWOGRTOTALS','PLUSPWOTOTALS'))
;

update maxattributecfg
set length = 50
where (attributename   = 'RESOURCE' and objectname   in ('PLUSPWOGRTOTALS','PLUSPWOTOTALS')) or 
      (sameasattribute = 'RESOURCE' and sameasobject in ('PLUSPWOGRTOTALS','PLUSPWOTOTALS'))
;

/**defaults adjustments**/
update synonymdomain set valueid = domainid || '|' || value where valueid like '<HCTDOMAIN>%'
;

update alndomain set valueid = domainid || '|' || value where valueid like '<HCTDOMAIN>%'
;

/** issue 08-10326 **/
update maxattribute set classname = 'psdi.app.site.FldOrganizationID' where attributename = 'ORGID' and objectname = 'SLA'
;

update maxattributecfg set classname = 'psdi.app.site.FldOrganizationID' where attributename = 'ORGID' and objectname = 'SLA'
;


/**issues 08-10777, 08-10818, 08-10780 and 08-10820**/

insert into maxrelationship (name, parent, child, whereclause, remarks, maxrelationshipid)	values (
 'VIEWCONTINPUT' ,  'PLUSPAPPLLOC' ,  'VIEWCONTINPUT' , null , 'Relationship to the non-persistent ViewContInput' , nextval for maxrelationshipseq)
;

insert into maxrelationship (name, parent, child, whereclause, remarks, maxrelationshipid)	values (
 'VIEWWOPMS' ,  'PLUSPAPPLLOC' ,  'VIEWWOPMS' , null , 'Relationship to the non-persistent VIEWWOPMS' , nextval for maxrelationshipseq)
;

insert into maxrelationship (name, parent, child, whereclause, remarks, maxrelationshipid)	values (
 'VIEWCONTINPUT' ,  'PLUSPAPPLASSET' ,  'VIEWCONTINPUT' , null , 'Relationship to the non-persistent ViewContInput' , nextval for maxrelationshipseq)
;

insert into maxrelationship (name, parent, child, whereclause, remarks, maxrelationshipid)	values (
 'VIEWWOPMS' ,  'PLUSPAPPLASSET' ,  'VIEWWOPMS' , null , 'Relationship to the non-persistent VIEWWOPMS' , nextval for maxrelationshipseq)
;