--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'LOCATIONS','PLUSPADDFROMLOC',NULL,NULL,'PLUSPADDFROMLOC',NULL,990,'UPPER',12,0,0,0,'LOCATIONS','LOCATION',0,0,'The Location from which the Service Address in inherited',NULL,'Address from Location',NULL,0,0,NULL,'psdi.app.location.FldAddFromLocation',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'LOCATIONS','PLUSPADDFROMLOC',NULL,NULL,'PLUSPADDFROMLOC',NULL,990,'UPPER',12,0,0,0,'LOCATIONS','LOCATION',0,0,'The Location from which the Service Address in inherited',NULL,'Address from Location',NULL,0,0,NULL,'psdi.app.location.FldAddFromLocation',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPSERVADDR','LOCATIONS','PLUSPSERVADDR','addresscode = :serviceaddresscode and orgid=:orgid','Relationship to get ServiceAddress for a Location',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'LOCSYSTEM','PLUSPADDRESSSYSTEM','LOCSYSTEM','PLUSPADDRESSSYSTEM','PLUSPADDRESSSYSTEM',NULL,992,'YORN',1,0,1,0,NULL,NULL,0,0,'Address System','0','Address System',NULL,1,0,NULL,'psdi.plusp.app.location.PlusPFldLocSystemAddressSystem',0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'LOCSYSTEM','PLUSPADDRESSSYSTEM','LOCSYSTEM','PLUSPADDRESSSYSTEM','PLUSPADDRESSSYSTEM',NULL,992,'YORN',1,0,1,0,NULL,NULL,0,0,'Address System','0','Address System',NULL,1,0,NULL,'psdi.plusp.app.location.PlusPFldLocSystemAddressSystem',0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = '(ownertable=''WORELEASE'' and ownerid=:workorderid) or (ownertable=''WORELEASE'' and ownerid in (select workorderid from workorder where parent=:wonum and istask=:yes and siteid=:siteid)) or (ownertable=''ASSET'' and ownerid in (select assetuid from asset where assetnum=:assetnum and siteid=:siteid)) or (ownertable=''LOCATIONS'' and ownerid in (select locationsid from locations where location=:location and siteid=:siteid)) or (ownertable=''JOBPLAN'' and ownerid in (select jobplanid from jobplan where jpnum=:jpnum and (siteid is null or siteid=:siteid))) or (ownertable=''PM'' and ownerid in (select pmuid from pm where pmnum=:pmnum and siteid=:siteid)) or (ownertable=''SAFETYPLAN'' and ownerid in (select safetyplanuid from safetyplan,wosafetyplan where safetyplan.safetyplanid=wosafetyplan.safetyplanid and wosafetyplan.wonum=:wonum and wosafetyplan.siteid=:siteid)) or (ownertable in (''SR'',''INCIDENT'',''PROBLEM'') and ownerid in (select ticketuid from ticket,relatedrecord where ticketid=recordkey and ticket.class = relatedrecord.class and relatedrecclass=''WOCHANGE'' and relatedreckey=:wonum and relatedrecsiteid=:siteid)) or (ownertable in (''WORKORDER'',''WOCHANGE'',''WOACTIVITY'') and ownerid in (select workorderid from workorder,relatedrecord where wonum=recordkey and workorder.woclass = relatedrecord.class and relatedrecclass=''WOCHANGE'' and relatedreckey=:wonum and relatedrecsiteid=:siteid)) or (ownertable=''COMMLOG'' and ownerid in (select commloguid from workorder,commlog where workorderid=ownerid and ownertable=''WORELEASE'')) or (ownertable=''SLA'' and ownerid in (select PLUSPSERVAGREEID from sla,slarecords,workorder where sla.slanum=slarecords.slanum and slarecords.ownerid=workorder.workorderid and sla.objectname=''WOCHANGE'' and slarecords.ownertable=''WORELEASE'' and workorder.wonum=:wonum))'
      WHERE PARENT = 'WORELEASE'
            AND CHILD = 'DOCLINKS'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = '(ownertable=''WOCHANGE'' and ownerid=:workorderid) or (ownertable=''WOCHANGE'' and ownerid in (select workorderid from workorder where parent=:wonum and istask=:yes and siteid=:siteid)) or (ownertable=''ASSET'' and ownerid in (select assetuid from asset where assetnum=:assetnum and siteid=:siteid)) or (ownertable=''LOCATIONS'' and ownerid in (select locationsid from locations where location=:location and siteid=:siteid)) or (ownertable=''JOBPLAN'' and ownerid in (select jobplanid from jobplan where jpnum=:jpnum and (siteid is null or siteid=:siteid))) or (ownertable=''PM'' and ownerid in (select pmuid from pm where pmnum=:pmnum and siteid=:siteid)) or (ownertable=''SAFETYPLAN'' and ownerid in (select safetyplanuid from safetyplan,wosafetyplan where safetyplan.safetyplanid=wosafetyplan.safetyplanid and wosafetyplan.wonum=:wonum and wosafetyplan.siteid=:siteid)) or (ownertable in (''SR'',''INCIDENT'',''PROBLEM'') and ownerid in (select ticketuid from ticket,relatedrecord where ticketid=recordkey and ticket.class = relatedrecord.class and relatedrecclass=''WOCHANGE'' and relatedreckey=:wonum and relatedrecsiteid=:siteid)) or (ownertable in (''WORKORDER'',''WORELEASE'',''WOACTIVITY'') and ownerid in (select workorderid from workorder,relatedrecord where wonum=recordkey and workorder.woclass = relatedrecord.class and relatedrecclass=''WOCHANGE'' and relatedreckey=:wonum and relatedrecsiteid=:siteid)) or (ownertable=''COMMLOG'' and ownerid in (select commloguid from workorder,commlog where workorderid=ownerid and ownertable=''WOCHANGE'')) or (ownertable=''SLA'' and ownerid in (select PLUSPSERVAGREEID from sla,slarecords,workorder where sla.slanum=slarecords.slanum and slarecords.ownerid=workorder.workorderid and sla.objectname=''WOCHANGE'' and slarecords.ownertable=''WOCHANGE'' and workorder.wonum=:wonum))'
      WHERE PARENT = 'WOCHANGE'
            AND CHILD = 'DOCLINKS'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = '(ownertable=''WOACTIVITY'' and ownerid=:workorderid) or (ownertable=''WOACTIVITY'' and ownerid in (select workorderid from workorder where parent=:wonum and istask=:yes and siteid=:siteid)) or (ownertable=''ASSET'' and ownerid in (select assetuid from asset where assetnum=:assetnum and siteid=:siteid)) or (ownertable=''LOCATIONS'' and ownerid in (select locationsid from locations where location=:location and siteid=:siteid)) or (ownertable=''JOBPLAN'' and ownerid in (select jobplanid from jobplan where jpnum=:jpnum and (siteid is null or siteid=:siteid))) or (ownertable=''PM'' and ownerid in (select pmuid from pm where pmnum=:pmnum and siteid=:siteid)) or (ownertable=''SAFETYPLAN'' and ownerid in (select safetyplanuid from safetyplan,wosafetyplan where safetyplan.safetyplanid=wosafetyplan.safetyplanid and wosafetyplan.wonum=:wonum and wosafetyplan.siteid=:siteid)) or (ownertable in (''SR'',''INCIDENT'',''PROBLEM'') and ownerid in (select ticketuid from ticket,relatedrecord where ticketid=recordkey and ticket.class = relatedrecord.class and relatedrecclass=''WOCHANGE'' and relatedreckey=:wonum and relatedrecsiteid=:siteid)) or (ownertable in (''WORKORDER'',''WOCHANGE'',''WORELEASE'') and ownerid in (select workorderid from workorder,relatedrecord where wonum=recordkey and workorder.woclass = relatedrecord.class and relatedrecclass=''WOCHANGE'' and relatedreckey=:wonum and relatedrecsiteid=:siteid)) or (ownertable=''COMMLOG'' and ownerid in (select commloguid from workorder,commlog where workorderid=ownerid and ownertable=''WOACTIVITY'')) or (ownertable=''SLA'' and ownerid in (select PLUSPSERVAGREEID from sla,slarecords,workorder where sla.slanum=slarecords.slanum and slarecords.ownerid=workorder.workorderid and sla.objectname=''WOCHANGE'' and slarecords.ownertable=''WOACTIVITY'' and workorder.wonum=:wonum))'
      WHERE PARENT = 'WOACTIVITY'
            AND CHILD = 'DOCLINKS'
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('SLA','ASSOCCUST','Associate Customer',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

--*[300108]Translation Ratio: 100% (10/10 statements were translated successfully)
