--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPAGREE',36,0,'OPTION','STATUSHIST',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

CREATE SEQUENCE pluspagmtstatusseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPAGMTSTATUS','PLUSPAGMTSTATUSID',0,'PLUSPAGMTSTATUSSEQ')
;

INSERT INTO MAXSERVICE (initorder,active,internal,SERVICENAME,DESCRIPTION,CLASSNAME,MAXSERVICEID) VALUES ( 1020,1,0,'PLUSPPBILL','Service Provider Pre-Bill Review','psdi.plusp.app.plusppbill.PlusPBillBatchService',NEXTVAL FOR MAXSERVICESEQ)
;

INSERT INTO ESCALATION (escstatusflag,ESCALATIONID,DESCRIPTION,ACTIVE,OBJECTNAME,CONDITION,CHANGEBY,CHANGEDATE,CRONTASKNAME,ESCALATION,SCHEDULE,LANGCODE,HASLD) VALUES (0,NEXTVAL FOR ESCALATIONUSEQ,'Agreement start date has been reached and the status should be changed to approved',0,'PLUSPAGREEMENT','STATUS in (select value from synonymdomain where maxvalue = ''WSTART'' and domainid = ''PLUSPAGREESTATUS'')','MAXADMIN',current timestamp,'ESCALATION','PAGREEREFF','24h,*,0,*,*,*,*,*,*,*','EN',0)
;

INSERT INTO ESCREFPOINT (ESCALATION,REFPOINTNUM,REPEAT,EVENTATTRIBUTE,ACTION,REFPOINTID) VALUES ('PAGREEREFF',1,1,'STARTDATE','PAGREEGRP',NEXTVAL FOR REFPOINTUSEQ)
;

INSERT INTO ACTIONGROUP (ACTIONGROUPID,ACTION,MEMBER,SEQUENCE) VALUES (NEXTVAL FOR ACTIONGROUPSEQ,'PAGREEGRP','PAGREEAPPR',1)
;

INSERT INTO ACTION (ACTIONID,ACTION,DESCRIPTION,OBJECTNAME,TYPE,LANGCODE,MEMO,USEWITH,HASLD) VALUES (NEXTVAL FOR ACTIONSEQ,'PAGREEGRP','Agreement group','PLUSPAGREEMENT','GROUP','EN',' ','ESCALATION',0)
;

INSERT INTO ACTION (ACTIONID,ACTION,DESCRIPTION,OBJECTNAME,TYPE,VALUE,LANGCODE,MEMO,USEWITH,HASLD) VALUES (NEXTVAL FOR ACTIONSEQ,'PAGREEAPPR','Agreement approve action','PLUSPAGREEMENT','CHANGESTATUS','APPR','EN',' ','ESCALATION',0)
;

INSERT INTO ESCALATION (escstatusflag,ESCALATIONID,DESCRIPTION,ACTIVE,OBJECTNAME,CONDITION,CHANGEBY,CHANGEDATE,CRONTASKNAME,ESCALATION,SCHEDULE,LANGCODE,HASLD) VALUES (0,NEXTVAL FOR ESCALATIONUSEQ,'Agreement end date has been passed and the status should be changed to expired',0,'PLUSPAGREEMENT','STATUS in (select value from synonymdomain where maxvalue = ''APPR'' and domainid = ''PLUSPAGREESTATUS'')','MAXADMIN',current timestamp,'ESCALATION','PAGREEEXP','24h,*,0,*,*,*,*,*,*,*','EN',0)
;

INSERT INTO ESCREFPOINT (ESCALATION,REFPOINTNUM,REPEAT,EVENTATTRIBUTE,ACTION,REFPOINTID) VALUES ('PAGREEEXP',1,1,'ENDDATE','PAGREEEXPGRP',NEXTVAL FOR REFPOINTUSEQ)
;

INSERT INTO ACTIONGROUP (ACTIONGROUPID,ACTION,MEMBER,SEQUENCE) VALUES (NEXTVAL FOR ACTIONGROUPSEQ,'PAGREEEXPGRP','PAGREEEXP',1)
;

INSERT INTO ACTION (ACTIONID,ACTION,DESCRIPTION,OBJECTNAME,TYPE,VALUE,LANGCODE,MEMO,USEWITH,HASLD) VALUES (NEXTVAL FOR ACTIONSEQ,'PAGREEEXP','Agreement expire action','PLUSPAGREEMENT','CHANGESTATUS','EXPIRE','EN',' ','ESCALATION',0)
;

INSERT INTO ACTION (ACTIONID,ACTION,DESCRIPTION,OBJECTNAME,TYPE,LANGCODE,MEMO,USEWITH,HASLD) VALUES (NEXTVAL FOR ACTIONSEQ,'PAGREEEXPGRP','Agreement group','PLUSPAGREEMENT','GROUP','EN',' ','ESCALATION',0)
;

DELETE FROM SIGOPTION
      WHERE APP = 'PLUSPAGREE'
            AND OPTIONNAME = 'STATUSAGRE'
;

DELETE FROM MAXMENU
      WHERE MODULEAPP = 'PLUSPAGREE'
            AND KEYVALUE = 'STATUSAGRE'
;

DELETE FROM APPLICATIONAUTH
      WHERE APP = 'PLUSPAGREE'
            AND OPTIONNAME = 'STATUSAGRE'
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSPAGREE','STATUS','Status change',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

--*[300108]Translation Ratio: 97.78% (44/45 statements were translated successfully)
