--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSPSO',110,0,'OPTION','SELECTPS',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifier of the person''s record. This value must be unique. When you save the record, this field becomes read only.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PERSONID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifier of the person''s record. This value must be unique. When you save the record, this field becomes read only.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PERSONID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'A nickname or familiar name that this person can be identified by. This field is automatically populated when values are entered in the First Name and/or Last Name fields. You can change the default information.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DISPLAYNAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'A nickname or familiar name that this person can be identified by. This field is automatically populated when values are entered in the First Name and/or Last Name fields. You can change the default information.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DISPLAYNAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The main phone number used to contact this person. To display all phone numbers for this person, click the Show/Manage Values icon to display the Add/Modify Phone Numbers dialog box. If this phone number is the only phone number listed for this person, you can change the value or delete it directly from the Primary Phone field.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYPHONE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The main phone number used to contact this person. To display all phone numbers for this person, click the Show/Manage Values icon to display the Add/Modify Phone Numbers dialog box. If this phone number is the only phone number listed for this person, you can change the value or delete it directly from the Primary Phone field.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYPHONE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The main e-mail address used to contact this person. To display all e-mail addresses for this person, click the Show/Manage Values icon to display the Add/Modify Email Addresses dialog box. If this e-mail address is the only e-mail address listed for this person, you can change the value or delete it directly from the Primary E-mail field.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYEMAIL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The main e-mail address used to contact this person. To display all e-mail addresses for this person, click the Show/Manage Values icon to display the Add/Modify Email Addresses dialog box. If this e-mail address is the only e-mail address listed for this person, you can change the value or delete it directly from the Primary E-mail field.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYEMAIL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The state or province where this person resides; can be the two-character abbreviation or full spelling.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'STATEPROVINCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The state or province where this person resides; can be the two-character abbreviation or full spelling.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'STATEPROVINCE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Indicates if this person is a Very Important Person. Click the Select Value icon to select a valid VIP code.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'VIP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Indicates if this person is a Very Important Person. Click the Select Value icon to select a valid VIP code.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'VIP'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Indicates the organization that this person''s primary calendar is associated with.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYCALORG'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Indicates the organization that this person''s primary calendar is associated with.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYCALORG'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The primary calendar record associated with this person. To display all calendar records for this person, click the Show/Manage Values icon to display the Calendars dialog box.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYCALNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The primary calendar record associated with this person. To display all calendar records for this person, click the Show/Manage Values icon to display the Calendars dialog box.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PRIMARYCALNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The job code of this person. Click the Select Value icon to choose a valid job code.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'JOBCODE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The job code of this person. Click the Select Value icon to choose a valid job code.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'JOBCODE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The type of employee this person is, such as full-time or part-time.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'EMPLOYEETYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The type of employee this person is, such as full-time or part-time.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'EMPLOYEETYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The site where this person is located.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'LOCATIONSITE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The site where this person is located.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'LOCATIONSITE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes the location. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'LOCATIONS'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes the location. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'LOCATIONS'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The billing address of this person. This will be used as the default billing address for purchase transactions entered by this person.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'BILLTOADDRESS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The billing address of this person. This will be used as the default billing address for purchase transactions entered by this person.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'BILLTOADDRESS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The name of the company that employs this person. If this person is an employee of an external company, enter that company''s name here. Click the Select Value icon to select from a list of customers or vendors.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PLUSPCUSTVENDOR'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The name of the company that employs this person. If this person is an employee of an external company, enter that company''s name here. Click the Select Value icon to select from a list of customers or vendors.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PLUSPCUSTVENDOR'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes the customer or vendor name.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PLUSPCUSTVNDNAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes the customer or vendor name.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PLUSPCUSTVNDNAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Type of employer for this person. The person may be an internal employee, or an employee of a customer or vendor. Click the Select Value icon to choose from the list of customer/vendor types.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PLUSPCUSTVNDTYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Type of employer for this person. The person may be an internal employee, or an employee of a customer or vendor. Click the Select Value icon to choose from the list of customer/vendor types.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PLUSPCUSTVNDTYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Indicates if service requests reported by this person will default to the location associated with the person''s record.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'LOCTOSERVREQ'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Indicates if service requests reported by this person will default to the location associated with the person''s record.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'LOCTOSERVREQ'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Defines when this person will receive transaction e-mail. Click the Select Value icon to choose from a list of valid values. This is a required field with a default value of NEVER. To receive transaction e-mail notifications, both the requisitioner and the purchasing agent must have a Labor record. Purchasing agents who did not have a labor record in the past will now need one.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'TRANSEMAILELECTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Defines when this person will receive transaction e-mail. Click the Select Value icon to choose from a list of valid values. This is a required field with a default value of NEVER. To receive transaction e-mail notifications, both the requisitioner and the purchasing agent must have a Labor record. Purchasing agents who did not have a labor record in the past will now need one.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'TRANSEMAILELECTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Defines when this person will receive e-mailed workflow assignments. Click the Select Value icon to choose a valid value.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'WFMAILELECTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Defines when this person will receive e-mailed workflow assignments. Click the Select Value icon to choose a valid value.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'WFMAILELECTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the delegate for workflow assignments for this person. If there is a value in this field and if the workflow assignment is received between the Delegate To and Delegate From date, Workflow sends the assignment to the delegate. Enter a value or click the Detail Menu to select an option and retrieve a value.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DELEGATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the delegate for workflow assignments for this person. If there is a value in this field and if the workflow assignment is received between the Delegate To and Delegate From date, Workflow sends the assignment to the delegate. Enter a value or click the Detail Menu to select an option and retrieve a value.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DELEGATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The first date from which this person''s delegate is responsible for workflow assignments.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DELEGATEFROMDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The first date from which this person''s delegate is responsible for workflow assignments.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DELEGATEFROMDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The last date until which this person''s delegate is responsible for workflow assignments. The value entered in this field must be either equal to, or greater than, the value in the Delegate From field.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DELEGATETODATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The last date until which this person''s delegate is responsible for workflow assignments. The value entered in this field must be either equal to, or greater than, the value in the Delegate From field.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'DELEGATETODATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The date when this person stopped being employed by the company.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'TERMINATIONDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The date when this person stopped being employed by the company.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'TERMINATIONDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the number of this person''s company credit card.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PCARDNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the number of this person''s company credit card.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PCARDNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The three- or four-digit code at the end of the credit card number. You can find this verification code on the back or front of the card.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PCARDVERIFICATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The three- or four-digit code at the end of the credit card number. You can find this verification code on the back or front of the card.'
      WHERE OBJECTNAME = 'PERSON'
            AND ATTRIBUTENAME = 'PCARDVERIFICATION'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Change Status', ESIGENABLED = 0
      WHERE APP = 'PLUSPAGREE'
            AND OPTIONNAME = 'STATUS'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'WPEDITSETTING','PLUSPEDITFEES','WPEDITSETTING','PLUSPEDITFEES','PLUSPEDITFEES',NULL,991,'YORN',1,0,1,0,NULL,NULL,1,0,'Edit Fees and Changes?','0','Edit Fees and Changes?',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'WPEDITSETTING','PLUSPEDITFEES','WPEDITSETTING','PLUSPEDITFEES','PLUSPEDITFEES',NULL,991,'YORN',1,0,1,0,NULL,NULL,1,0,'Edit Fees and Changes?','0','Edit Fees and Changes?',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

--*[300108]Translation Ratio: 100% (54/54 statements were translated successfully)
