--* [300000]MTK Oracle Converter.  Version: 12Apr2007_1816

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSPSHOWALLPLANFEECHARGE','WORKORDER','PLUSPWPGENBILL','type in (select value from SYNONYMDOMAIN where domainid=''PLUSPGBTRANSTYPE'' AND maxvalue = ''ACTUAL'') and wonum in (select wonum from workorder where (wonum=:wonum or (parent=:wonum and istask = :yes)) and siteid=:siteid )','Relationship to the PLUSPSHOWALLPLANFEECHARGE Set used by UI for display. This is a  special MboSet used for displaying the planned fees and charges for a given workorder. (wonum in (select wonum from workorder where wplabor.wonum=workorder.wonum or wplabor.parent=workorder.wonum and wplabor.siteid=workorder.siteid)). The resulting set will contain zero or more objects.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

CREATE SEQUENCE pluspwpgenbillseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPWPGENBILL','PLUSPWPGENBILLID',0,'PLUSPWPGENBILLSEQ')
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSPPBILL','Attachments',NEXTVAL FOR APPDOCTYPESEQ)
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSPPBILL','Diagrams',NEXTVAL FOR APPDOCTYPESEQ)
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSPPBILL','Images',NEXTVAL FOR APPDOCTYPESEQ)
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WOACTIVITY'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WOACTIVITY'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WOCHANGE'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WOCHANGE'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WORELEASE'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'SANUM'
      WHERE OBJECTNAME = 'WORELEASE'
            AND ATTRIBUTENAME = 'PLUSPPRICESCHED'
;

CREATE SEQUENCE plusppscraftpricseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSPPSCRAFTPRIC','PLUSPPSCRAFTPRICID',0,'PLUSPPSCRAFTPRICSEQ')
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'TOOLTRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'TOOLTRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'LABTRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'LABTRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'MATUSETRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'MATUSETRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'SERVRECTRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Line Price'
      WHERE OBJECTNAME = 'SERVRECTRANS'
            AND ATTRIBUTENAME = 'PLUSPLINEPRICE'
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSPPBILL','AM400','Attachment Library/Folders',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

--*[300108]Translation Ratio: 92% (23/25 statements were translated successfully)
