update maxattribute set remarks = 'The last response plan to be applied to this incident. To see a history of additional response plans applied to the incident, use the Show History option in the detail menu.'
where objectname = 'INCIDENT' and attributename = 'PLUSPRESPONSEPLAN'
;

update maxattributecfg set remarks = 'The last response plan to be applied to this incident. To see a history of additional response plans applied to the incident, use the Show History option in the detail menu.'
where objectname = 'INCIDENT' and attributename = 'PLUSPRESPONSEPLAN'
;

update maxattribute set remarks = 'The customer associated with the record.'
where objectname = 'PLUSPCUSTASSOC' and attributename = 'CUSTOMER'
;

update maxattributecfg set remarks = 'The customer associated with the record.'
where objectname = 'PLUSPCUSTASSOC' and attributename = 'CUSTOMER'
;

update maxattribute set remarks = 'The customer''s contact person. This person must be active in the People (SP) application. After you save the customer record, you cannot update this value, but you can delete the contact.'
where objectname = 'PLUSPCUSTCONTACT' and attributename = 'PERSONID'
;

update maxattributecfg set remarks = 'The customer''s contact person. This person must be active in the People (SP) application. After you save the customer record, you cannot update this value, but you can delete the contact.'
where objectname = 'PLUSPCUSTCONTACT' and attributename = 'PERSONID'
;

update maxattribute set remarks = 'The type of contact person. For example, a person can be a contact for contract or maintenance issues. Contact types are selected from values defined in the CUSTCONTACTTYPE domain, in the Domains (SP) application.'
where objectname = 'PLUSPCUSTCONTACT' and attributename = 'TYPE'
;

update maxattributecfg set remarks = 'The type of contact person. For example, a person can be a contact for contract or maintenance issues. Contact types are selected from values defined in the CUSTCONTACTTYPE domain, in the Domains (SP) application.'
where objectname = 'PLUSPCUSTCONTACT' and attributename = 'TYPE'
;

update maxattribute set remarks = 'The customer number or identifier. When you create a customer, you type a value here. This value is used to distinguish between multiple customers, so it must be unique. You cannot change this value after you save a customer record.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'CUSTOMER'
;

update maxattributecfg set remarks = 'The customer number or identifier. When you create a customer, you type a value here. This value is used to distinguish between multiple customers, so it must be unique. You cannot change this value after you save a customer record.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'CUSTOMER'
;

update maxattribute set remarks = 'The customer''s Data Universal Numbering System (DUNS) number, for reference purposes only.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'DUNS'
;

update maxattributecfg set remarks = 'The customer''s Data Universal Numbering System (DUNS) number, for reference purposes only.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'DUNS'
;


update maxattribute set remarks = 'The parent customer of the customer. Parent customers are not required. The parent must be an existing customer, and cannot be the current customer or a child of another customer.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'PARENT'
;

update maxattributecfg set remarks = 'The parent customer of the customer. Parent customers are not required. The parent must be an existing customer, and cannot be the current customer or a child of another customer.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'PARENT'
;

update maxattribute set remarks = 'The status of the customer. When you create and save a new customer, the status is INACTIVE. The Customer status must be changed to ACTIVE before the Customer can be used. To change the status, use the Change Status action in the Select Action menu in the Customers (SP) application.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'STATUS'
;

update maxattributecfg set remarks = 'The status of the customer. When you create and save a new customer, the status is INACTIVE. The Customer status must be changed to ACTIVE before the Customer can be used. To change the status, use the Change Status action in the Select Action menu in the Customers (SP) application.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'STATUS'
;

update maxattribute set remarks = 'The customer''s tax-exempt classification, if applicable. This value is selected from values defined in the TAXEMPT domain.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'TAXEXEMPTCODE'
;

update maxattributecfg set remarks = 'The customer''s tax-exempt classification, if applicable. This value is selected from values defined in the TAXEMPT domain.'
where objectname = 'PLUSPCUSTOMER' and attributename = 'TAXEXEMPTCODE'
;


update maxattribute set remarks = 'The customer associated with this log entry. This field is read-only.'
where objectname = 'PLUSPCUSTOMERLOG' and attributename = 'CUSTOMER'
;

update maxattributecfg set remarks = 'The customer associated with this log entry. This field is read-only.'
where objectname = 'PLUSPCUSTOMERLOG' and attributename = 'CUSTOMER'
;

update maxattribute set remarks = 'The contact person for the log entry. This person must exist in the People (SP) application.'
where objectname = 'PLUSPCUSTOMERLOG' and attributename = 'CONTACT'
;

update maxattributecfg set remarks = 'The contact person for the log entry. This person must exist in the People (SP) application.'
where objectname = 'PLUSPCUSTOMERLOG' and attributename = 'CONTACT'
;

update maxattribute set remarks = 'The last response plan to be applied to this sales order. To see a history of additional response plans applied to the sales order, use the Show History option in the detail menu.'
where objectname = 'PLUSPSALESORDER' and attributename = 'RESPONSEPLAN'
;

update maxattributecfg set remarks = 'The last response plan to be applied to this sales order. To see a history of additional response plans applied to the sales order, use the Show History option in the detail menu.'
where objectname = 'PLUSPSALESORDER' and attributename = 'RESPONSEPLAN'
;


update maxattribute set remarks = 'The last response plan to be applied to this work order. To see a history of additional response plans applied to this work order, use the Show History option in the detail menu.'
where objectname = 'WORKORDER' and attributename = 'PLUSPRESPONSEPLAN'
;

update maxattributecfg set remarks = 'The last response plan to be applied to this work order. To see a history of additional response plans applied to this work order, use the Show History option in the detail menu.'
where objectname = 'WORKORDER' and attributename = 'PLUSPRESPONSEPLAN'
;

update maxattribute set remarks = 'Indicates whether the record is associated with one or more customers.'
where objectname = 'ITEM' and attributename = 'PLUSPHASCUSTOMERS'
;

update maxattributecfg set remarks = 'Indicates whether the record is associated with one or more customers.'
where objectname = 'ITEM' and attributename = 'PLUSPHASCUSTOMERS'
;

update maxattribute set remarks = 'The item''s list sales price. This must be a positive value and can have decimals.'
where objectname = 'ITEM' and attributename = 'PLUSPLISTPRICE'
;

update maxattributecfg set remarks = 'The item''s list sales price. This must be a positive value and can have decimals.'
where objectname = 'ITEM' and attributename = 'PLUSPLISTPRICE'
;


update maxattribute set remarks = 'The item''s list sales price. This price must be a positive value and can have decimals.'
where objectname in ('WPMATERIAL','MATUSETRANS','SERVRECTRANS') and attributename = 'PLUSPLISTPRICE'
;

update maxattributecfg set remarks = 'The item''s list sales price. This price must be a positive value and can have decimals.'
where objectname in ('WPMATERIAL','MATUSETRANS','SERVRECTRANS') and attributename = 'PLUSPLISTPRICE'
;


update maxattribute set remarks = 'A customer associated with this domain. You cannot change value this after the domain has been saved.'
where objectname in ('SYNONYMDOMAIN','ALNDOMAIN','NUMERICDOMAIN') and attributename = 'PLUSPCUSTOMER'
;

update maxattributecfg set remarks = 'A customer associated with this domain. You cannot change value this after the domain has been saved.'
where objectname in ('SYNONYMDOMAIN','ALNDOMAIN','NUMERICDOMAIN') and attributename = 'PLUSPCUSTOMER'
;


update maxattribute set remarks = 'Indicates whether the SLA hold feature is enabled for the SLA. SLA hold is used when it is not possible to work on a ticket because a response is needed from the person who reported the problem. During the time the ticket is in SLAHOLD status, the ticket will not be escalated, and when the status is changed, the targets are re-calculated to account for the amount of time that the ticket was in the hold status. This field must be selected on an SLA in order for associated tickets to use the SLA hold function.'
where objectname = 'SLA' and attributename = 'SLAHOLD'
;

update maxattributecfg set remarks = 'Indicates whether the SLA hold feature is enabled for the SLA. SLA hold is used when it is not possible to work on a ticket because a response is needed from the person who reported the problem. During the time the ticket is in SLAHOLD status, the ticket will not be escalated, and when the status is changed, the targets are re-calculated to account for the amount of time that the ticket was in the hold status. This field must be selected on an SLA in order for associated tickets to use the SLA hold function.'
where objectname = 'SLA' and attributename = 'SLAHOLD'
;


update maxattribute set remarks = 'The object to which the SLA is applied. If the status is not Active, you can edit this field.'
where objectname = 'SLA' and attributename = 'OBJECTNAME'
;

update maxattributecfg set remarks = 'The object to which the SLA is applied. If the status is not Active, you can edit this field.'
where objectname = 'SLA' and attributename = 'OBJECTNAME'
;

update maxattribute set remarks = 'Indicates whether this is a global solution. A global solution is available to all users and is not restricted by customer.'
where objectname = 'SOLUTION' and attributename = 'PLUSPISGLOBAL'
;

update maxattributecfg set remarks = 'Indicates whether this is a global solution. A global solution is available to all users and is not restricted by customer.'
where objectname = 'SOLUTION' and attributename = 'PLUSPISGLOBAL'
;

update maxattribute set remarks = 'The customer associated with the solution. If only one customer is associated with the solution, the customer identifier is displayed. If there are two or more customers associated with this solution, "Multiple" is shown in the field.

Click Show/Manage Customers next to the Customer field to associate customers with the solution or to modify existing associations.

The customers must exist in the Customers (SP) application, but can be inactive.'
where objectname = 'SOLUTION' and attributename = 'PLUSPCUSTOMER'
;

update maxattributecfg set remarks = 'The customer associated with the solution. If only one customer is associated with the solution, the customer identifier is displayed. If there are two or more customers associated with this solution, "Multiple" is shown in the field.

Click Show/Manage Customers next to the Customer field to associate customers with the solution or to modify existing associations.

The customers must exist in the Customers (SP) application, but can be inactive.'
where objectname = 'SOLUTION' and attributename = 'PLUSPCUSTOMER'
;


update maxattribute set remarks = 'Indicates whether the record is associated with one or more customers.'
where objectname = 'BULLETINBOARD' and attributename = 'PLUSPHASCUSTOMER'
;

update maxattributecfg set remarks = 'Indicates whether the record is associated with one or more customers.'
where objectname = 'BULLETINBOARD' and attributename = 'PLUSPHASCUSTOMER'
;


update maxattribute set remarks = 'The person group assigned to and responsible for the work order, ticket, or sales order when this response plan is applied. You can select a person group or go to the Person Group application to create one. If the status of the record is not Active, you can edit this field.'
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNPERSONGROUP'
;

update maxattributecfg set remarks = 'The person group assigned to and responsible for the work order, ticket, or sales order when this response plan is applied. You can select a person group or go to the Person Group application to create one. If the status of the record is not Active, you can edit this field.'
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNPERSONGROUP'
;

update maxattribute set remarks = 'The lead person assigned to the work order, ticket, or sales order when this response plan is applied. You can select a person or go to the People (SP) application to create a person. If the status of the record is not Active, you can edit this field. This value overrides the default person group lead.'
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNLEAD'
;

update maxattributecfg set remarks = 'The lead person assigned to the work order, ticket, or sales order when this response plan is applied. You can select a person or go to the People (SP) application to create a person. If the status of the record is not Active, you can edit this field. This value overrides the default person group lead.'
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNLEAD'
;

update maxattribute set remarks = 'The supervisor assigned to the work order, ticket, or sales order when this response plan is applied. You can select a person or go to the People (SP) application to create a person. If the status of the record is not Active, you can edit this field. '
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNSUPERVISOR'
;

update maxattributecfg set remarks = 'The supervisor assigned to the work order, ticket, or sales order when this response plan is applied. You can select a person or go to the People (SP) application to create a person. If the status of the record is not Active, you can edit this field. '
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNSUPERVISOR'
;

update maxattribute set remarks = 'The crew assigned to the work order, ticket, or sales order when this response plan is applied. If the status of the record is not Active, you can edit this field.'
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNCREWID'
;

update maxattributecfg set remarks = 'The crew assigned to the work order, ticket, or sales order when this response plan is applied. If the status of the record is not Active, you can edit this field.'
where objectname = 'PLUSPRESPPLAN' and attributename = 'ASSIGNCREWID'
;

update maxattribute set remarks = 'The solution that is applied to the ticket when this response plan is applied. You can select a solution, search for associated classifications and attributes, or go to the Solutions (SP) application to create a solution. If the status of the record is not Active, you can edit this field. '
where objectname = 'PLUSPRESPPLAN' and attributename = 'APPLYSOLUTION'
;

update maxattributecfg set remarks = 'The solution that is applied to the ticket when this response plan is applied. You can select a solution, search for associated classifications and attributes, or go to the Solutions (SP) application to create a solution. If the status of the record is not Active, you can edit this field. '
where objectname = 'PLUSPRESPPLAN' and attributename = 'APPLYSOLUTION'
;

update maxattribute set remarks = 'The person who applied the response plan. This field is read-only.'
where objectname = 'PLUSPRPRECORDS' and attributename = 'APPLIEDBY'
;

update maxattributecfg set remarks = 'The person who applied the response plan. This field is read-only.'
where objectname = 'PLUSPRPRECORDS' and attributename = 'APPLIEDBY'
;

update maxattribute set remarks = 'The date and time when the response plan was applied. This field is read-only.'
where objectname = 'PLUSPRPRECORDS' and attributename = 'APPLIEDDATE'
;

update maxattributecfg set remarks = 'The date and time when the response plan was applied. This field is read-only.'
where objectname = 'PLUSPRPRECORDS' and attributename = 'APPLIEDDATE'
;

update maxattribute set remarks = 'The status of the owner record (work order, ticket, or sales order) when this response plan was applied.'
where objectname = 'PLUSPRPRECORDS' and attributename = 'OWNERSTATUS'
;

update maxattributecfg set remarks = 'The status of the owner record (work order, ticket, or sales order) when this response plan was applied.'
where objectname = 'PLUSPRPRECORDS' and attributename = 'OWNERSTATUS'
;


update maxattribute set remarks = 'Type of restriction being configured. Valid types are Hidden, Required, Read-only and Qualified. Qualified means that only data meeting the condition is ''qualified'' to be fetched from the database and can only be applied to top-level objects (not child objects or attributes).

Hidden restrictions are used to hide objects that appear as detailed information where another object is the main object. For example, assets listed in the Locations (SP) application would be hidden from view on the Location''s Asset tab only if a HIDDEN restriction existed for Assets.'
where objectname = 'CONDITION' and attributename = 'PLUSPRESTRTYPE'
;

update maxattributecfg set remarks = 'Type of restriction being configured. Valid types are Hidden, Required, Read-only and Qualified. Qualified means that only data meeting the condition is ''qualified'' to be fetched from the database and can only be applied to top-level objects (not child objects or attributes).

Hidden restrictions are used to hide objects that appear as detailed information where another object is the main object. For example, assets listed in the Locations (SP) application would be hidden from view on the Location''s Asset tab only if a HIDDEN restriction existed for Assets.'
where objectname = 'CONDITION' and attributename = 'PLUSPRESTRTYPE'
;


update maxattribute set remarks = 'Comments about the revision to the customer agreement. Required when the revision number is greater than 0. To enter or view additional information, click the Long Description button. Editable only when the status is Pending Review.'
where objectname = 'PLUSPAGREEMENT' and attributename = 'REVISIONCOMMENTS'
;

update maxattributecfg set remarks = 'Comments about the revision to the customer agreement. Required when the revision number is greater than 0. To enter or view additional information, click the Long Description button. Editable only when the status is Pending Review.'
where objectname = 'PLUSPAGREEMENT' and attributename = 'REVISIONCOMMENTS'
;
